<?php
get_header();

// Get all terms from konkursy taxonomy
$custom_categories = get_terms(array(
    'taxonomy' => 'konkursy-kategoria', // Replace with your taxonomy name
    'hide_empty' => false,           // Show even if no posts are assigned
));
?>
<section class="play-games-section competition-section">
    <div class="article-page-content">
        <div class="container">
            <div class="row align-items-center flex-row-reverse">
                <div class="col-lg-12">
                    <?php custom_breadcrumbs(); ?>
                    <div class="web-heading heading-divider secondary">
                        <h2><?php esc_html_e('Kategorie konkursów', 'Kolejowe'); ?></h2>
                    </div>
                </div>
            </div>
            <div class="row">
                <?php 
                if (!empty($custom_categories) && !is_wp_error($custom_categories)) {
                    foreach ($custom_categories as $category) { ?>
                        <div class="col-md-4 mb-4">
                            <div class="article-card  competition-card">
                                <div class="article-featured-img">
                                    <?php $thumbnail = get_field('kategoria_obraz', 'konkursy-kategoria_' . $category->term_id);
                                    if($thumbnail){
                                        echo '<img src="' . esc_url($thumbnail) . '" alt="' . esc_attr($category->name) . '">'; 
                                    }?>
                                </div>
                                <div class="article-content">
                                    <div class="article-top">
                                        <h5 class="my-3"><?php echo esc_html($category->name); ?></h5>
                                        
                                    </div>
                                    <div class="article-bottom">
                                        <!-- <div class="meta-date"><?php echo get_the_date(); ?></div> -->
                                        <div class="web-btn d-flex">
                                            <a href="<?php echo esc_url(get_term_link($category)) ?>"  class="link-btn">
                                                <span><?php esc_html_e('Czytaj artykuł', 'Kolejowe'); ?></span>
                                                <div class="icon">
                                                    <img decoding="async" src="<?php echo get_template_directory_uri(); ?>/images/right-arrow-circle.svg" alt="icon" aria-hidden="true">
                                                </div>    
                                            </a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                <?php 
                    } 
                } else {
                    esc_html_e('Nie wybrano kategorii.', 'Kolejowe'); 
                }
                ?>
            </div>
        </div>
    </div>
</section>

<?php get_footer(); ?>