<?php
get_header();
$post_type = get_post_type();
$current_term = get_queried_object(); 

?>

<section class="play-games-section competition-section">
  <div class="article-page-content ">
    <div class="container">
<?php if ($current_term && $current_term instanceof WP_Term) { ?>
      <div class="row align-items-center flex-row-reverse">
        <div class="col-lg-12">
            <?php custom_breadcrumbs(); ?>
            <div class="web-heading heading-divider secondary">
                <h1><?php esc_html_e( $current_term->name, 'Kolejowe'); ?></h1>
            </div>
        </div>
      </div>
      <div class="row">
<?php 
    $args = array(
        'post_type' => $post_type, // Your custom post type
        'tax_query' => array(
            array(
                'taxonomy' => 'event-category', // Your taxonomy
                'field'    => 'slug',           // Match by term ID
                'terms'    => $current_term->slug,
            ),
        ),
        'posts_per_page' => -1,
    );

    $query = new WP_Query($args);

    if ($query->have_posts()) {
        while ($query->have_posts()) {
            $query->the_post();

            $thumbnail_id = get_post_thumbnail_id( get_the_ID() );
            // Get the alt text for the thumbnail image
            $thumbnail_alt = get_post_meta( $thumbnail_id, '_wp_attachment_image_alt', true );
            // Fallback to post title if alt text is not set
            $alt_text = $thumbnail_alt ? $thumbnail_alt : '';
            ?>
            <div class="col-md-4 mb-4">
                <div class="article-card  competition-card">
                    <div class="article-featured-img">
                    <?php the_post_thumbnail('full', array('alt' => esc_attr($alt_text),'aria-hidden' => 'true')); ?>
                    </div>
                    <div class="article-content">
                        <div class="article-top">
                            <h5><?php the_title(); ?></h5>
                        </div>
                        <div class="article-bottom">
                            <div class="meta-date"><?php echo get_the_date(); ?></div>
                            <div class="web-btn d-flex">
                                <a href="<?php the_permalink(); ?>"  class="link-btn">
                                    <span><?php esc_html_e('Czytaj artykuł', 'Kolejowe'); ?></span>
                                    <div class="icon">
                                        <img decoding="async" src="<?php echo get_template_directory_uri(); ?>/images/right-arrow-circle.svg" alt="icon" aria-hidden="true">
                                    </div>    
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            
            <?php
        }
       
        wp_reset_postdata();
    } else {
        echo '<p>No posts found in this category.</p>';
    }
} else {
    echo '<p>No category selected.</p>';
}?>
      </div>
    </div>
  </div>
</section>
<?php get_footer();
