<?php
include_once 'inc/post-type-shortcode.php';
//include_once 'inc/coustom-post-types.php';
add_theme_support( 'title-tag' );
if (!function_exists('KZR_theme_setup')) {
    /**
     * Sets up theme defaults and registers support for various WordPress features.
     *
     * Note that this function is hooked into the after_setup_theme hook, which
     * runs before the init hook. The init hook is too late for some features, such
     * as indicating support for post thumbnails.
     *
     
     *
     * @return void
     */
    function KZR_theme_setup()
    {
        /*
         * Make theme available for translation.
         * Translations can be filed in the /languages/ directory.
         * If you're building a theme based on Twenty Twenty-One, use a find and replace
         * to change 'KZR' to the name of your theme in all the template files.
         */
        load_theme_textdomain('KZR', get_template_directory() . '/languages');

        // Add default posts and comments RSS feed links to head.
        add_theme_support('automatic-feed-links');

        /*
         * Let WordPress manage the document title.
         * This theme does not use a hard-coded <title> tag in the document head,
         * WordPress will provide it for us.
         */
        add_theme_support('title-tag');

        /**
         * Add post-formats support.
         */
        add_theme_support(
            'post-formats',
            array(
                'link',
                'aside',
                'gallery',
                'image',
                'quote',
                'status',
                'video',
                'audio',
                'chat',
            )
        );

        /*
         * Enable support for Post Thumbnails on posts and pages.
         *
         * @link https://developer.wordpress.org/themes/functionality/featured-images-post-thumbnails/
         */
        add_theme_support('post-thumbnails');
        set_post_thumbnail_size(1568, 9999);

        register_nav_menus(
            array(
                'primary' => esc_html__('header menu', 'Kolejowe'),
                'footer-bottom-menu' => esc_html__('footer bottom menu', 'Kolejowe'),
                'artykuły-sidebar' => esc_html__('Artykuły Sidebar', 'Kolejowe'),
                'footermenu' => esc_html__('footer menu', 'Kolejowe'),
                'languagechange' => esc_html__('language changer', 'Kolejowe'), 
                'mobilelanguagechange' => esc_html__('mobile language changer', 'Kolejowe'), 
            )
        );

        /*
         * Switch default core markup for search form, comment form, and comments
         * to output valid HTML5.
         */
        add_theme_support(
            'html5',
            array(
                'comment-form',
                'comment-list',
                'gallery',
                'caption',
                'style',
                'script',
                'navigation-widgets',
            )
        );

        /*
         * Add support for core custom logo.
         *
         * @link https://codex.wordpress.org/Theme_Logo
         */
        add_theme_support(
            'custom-logo',
            array(
                'flex-width' => true,
                'flex-height' => true,
                'unlink-homepage-logo' => true,
            )
        );

        // Add theme support for selective refresh for widgets.
        add_theme_support('customize-selective-refresh-widgets');

        // Add support for Block Styles.
        add_theme_support('wp-block-styles');

        // Add support for full and wide align images.
        add_theme_support('align-wide');
        add_filter('wpcf7_autop_or_not', '__return_false');
        // Add support for editor styles.
        add_theme_support('editor-styles');
        add_post_type_support('page', 'excerpt');
        // Add support for responsive embedded content.
        add_theme_support('responsive-embeds');

        // Add support for custom line height controls.
        add_theme_support('custom-line-height');

        // Add support for experimental link color control.
        add_theme_support('experimental-link-color');

        // Add support for experimental cover block spacing.
        add_theme_support('custom-spacing');

        // Add support for custom units.
        // This was removed in WordPress 5.6 but is still required to properly support WP 5.5.
        add_theme_support('custom-units');

        // Remove feed icon link from legacy RSS widget.
        add_filter('rss_widget_feed_link', '__return_empty_string');
    }
}
add_action('after_setup_theme', 'KZR_theme_setup');

// function cc_mime_types($mimes) {
//     $mimes['svg'] = 'image/svg+xml';
//     return $mimes;
//   }
function custom_mime_types($mimes) {
    $mimes['svg'] = 'image/svg+xml';
    return $mimes;
}
add_filter('upload_mimes', 'custom_mime_types');

// Sanitize SVG before uploading
function sanitize_svg($svg) {
    $svg = simplexml_load_string($svg);
    return $svg->asXML();
}
//   add_filter('upload_mimes', 'cc_mime_types');
//   add_action('wp_ajax_load_categories', 'load_categories');
// add_action('wp_ajax_nopriv_load_categories', 'load_categories');

// function load_categories() {
//     $categories = get_categories();
//     $options = array();

//     foreach ($categories as $category) {
//         $options[] = array(
//             'id' => $category->term_id,
//             'name' => $category->name
//         );
//     }

//     wp_send_json($options);
// }



  function KZR_enqueue_scripts()
{
    
    wp_enqueue_script('jquery');
    wp_enqueue_media();
    wp_enqueue_script('wp-tinymce');
    wp_enqueue_style('owl-carousel-css', get_stylesheet_directory_uri() . '/owl-carousel/assets/owl.carousel.min.css');
    wp_enqueue_style('bootstrap-css', get_stylesheet_directory_uri() . '/css/bootstrap.min.css', array(), '1.0', 'all');
    //wp_enqueue_style('datatable-css-table', get_stylesheet_directory_uri() . '/data-table/css/dataTables.css');
    //wp_enqueue_style('datatable-css-responsive', get_stylesheet_directory_uri() . '/data-table/css/responsive.dataTables.css');
	  //wp_enqueue_style('aos-css', get_stylesheet_directory_uri() . '/css/aos.css', array(), '1.0', 'all');
    wp_enqueue_style('main-css', get_stylesheet_directory_uri() . '/style.css', array(), '1.0', 'all');
    wp_enqueue_style('admin-css', get_stylesheet_directory_uri() . '/css/admin.css', array(), '1.0', 'all');
    wp_enqueue_script('bootstrap-script', get_stylesheet_directory_uri() . '/js/bootstrap.min.js', '1.0', true);
    wp_enqueue_script('owl-carousel-script', get_stylesheet_directory_uri() . '/owl-carousel/owl.carousel.min.js',  '1.0', true);
    //wp_enqueue_script('datatable-script-table', get_stylesheet_directory_uri() . '/data-table/js/dataTables.js',);
    //wp_enqueue_script('datatable-script-responsive', get_stylesheet_directory_uri() . '/data-table/js/dataTables.responsive.js',);
   // wp_enqueue_script('datatable-script-dataTables', get_stylesheet_directory_uri() . '/data-table/js/responsive.dataTables.js',);

    wp_enqueue_style('fancybox-css', 'https://cdn.jsdelivr.net/npm/@fancyapps/ui/dist/fancybox.css');
    wp_enqueue_script('fancybox-js', 'https://cdn.jsdelivr.net/npm/@fancyapps/ui/dist/fancybox.umd.js', array('jquery'), null, true);
    // full calendar
    //wp_enqueue_script('moment-js', 'https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.30.1/moment.min.js', array('jquery'), null, true);
    // wp_enqueue_style('fullcalendar-css', get_stylesheet_directory_uri() . '/css/fullcalendar.css', array(), '1.0', 'all');
    wp_enqueue_script('fullcalendar-js', 'https://cdn.jsdelivr.net/npm/fullcalendar@6.1.8/index.global.min.js', array('jquery'), null, true);
   

	  //wp_enqueue_script('aos-script', get_stylesheet_directory_uri() . '/js/aos.js', '1.0', true);
    wp_register_script('custom-script', get_stylesheet_directory_uri() . '/js/custom-script.js', array('jquery'), '1.0', true);
    wp_enqueue_script('custom-script');
    wp_enqueue_script('admin-script', get_stylesheet_directory_uri() . '/js/admin.js',);
    wp_localize_script('admin-script', 'ajax_params', array(
        'ajax_url' => admin_url('admin-ajax.php')
    ));
    
    wp_localize_script('admin-script', 'myScriptData', array(
        'siteUrl' => get_site_url(),
    ));
	  
	  // Localize the script with PHP data
    wp_localize_script('owl-carousel-script', 'carouselLabels', array(
        'prevLabel' => __('poprzedni slajd', 'kzr'),
        'nextLabel' => __('następny slajd', 'kzr'),
    ));
    wp_localize_script('custom-script', 'ajax_object', array(
        'ajax_url'      => admin_url('admin-ajax.php'),
        'ajax_nonce'    => wp_create_nonce('my_ajax_nonce'),
    ));
	wp_localize_script('custom-script', 'localizedStrings', array(
    	'clickToCall' 	=> __('kliknij aby zadzwonić', 'kzr'),
    	'clickToEmail' 	=> __('kliknij by wysłać mejla', 'kzr'),
		'ExternalLink'	=> __('link zewnętrzny', 'kzr'),
		'BlankLink'		=> __('link otworzy się w nowej karcie', 'kzr'),
));
}

add_action('wp_enqueue_scripts', 'KZR_enqueue_scripts');

function initialize_fancybox() {
    ?>
    <script>
    document.addEventListener("DOMContentLoaded", function () {
        Fancybox.bind("[data-fancybox='pdf']", {
            groupAll: true,
            type: "iframe",  // Force iframe type
            toolbar: {
                display: [
                    "close",
                    "download",
                    "zoom",
                    "fullscreen",
                    "share",
                ],
            },
            thumbs: false,
            iframe: {
                preload: false,
                css: {
                    width: '80vw',
                    height: '90vh'
                }
            },
            beforeLoad: (instance, slide) => {
                // Convert PDF URL to use Google Docs Viewer
                const pdfUrl = slide.src;
                const googleDocsUrl = `https://docs.google.com/viewer?url=${encodeURIComponent(pdfUrl)}&embedded=true`;
                slide.src = googleDocsUrl;
            },
            on: {
                ready: (fancybox, slide) => {
                    const content = fancybox.$container.querySelector(".fancybox__content");
                    if (content) {
                        content.style.maxWidth = "90vw";
                        content.style.height = "90vh";
                    }
                }
            },

            dragToClose: false,
            template: {
                // Custom error template
                error: '<div class="fancybox-error">Failed to load PDF. Please try again or download the file.</div>'
            }
        });
    });
    </script>
    <!-- video -->
    <script>
        document.addEventListener("DOMContentLoaded", function () {
            Fancybox.bind("[data-fancybox='video']", {
                Toolbar: {
                    display: ["close"], // Only show the close button
                },
                iframe: {
                    preload: false,
                    css: {
                        width: "100%",
                        height: "80vh", // Adjust height for better display
                    },
                },
                caption: function (fancybox, carousel, slide) {
                    return slide.$trigger.dataset.caption || "Default Video Title";
                },
                on: {
                    ready: (fancybox) => {
                        const slide = fancybox.getSlide();
                        const iframeContainer = slide && slide.$content; // Ensure iframeContainer exists

                        if (iframeContainer) {
                            // Create custom play/pause button
                            const playPauseButton = document.createElement("button");
                            playPauseButton.textContent = "Pause";
                            playPauseButton.style.cssText = `
                                position: absolute;
                                top: 10px;
                                left: 10px;
                                background: rgba(0,0,0,0.7);
                                color: white;
                                padding: 5px 10px;
                                border: none;
                                border-radius: 5px;
                                cursor: pointer;
                                z-index: 9999;
                            `;

                            iframeContainer.appendChild(playPauseButton);

                            // Add custom button functionality (optional)
                            playPauseButton.addEventListener("click", function () {
                                // Example: Toggle button text for demo purposes
                                if (playPauseButton.textContent === "Pause") {
                                    playPauseButton.textContent = "Play";
                                } else {
                                    playPauseButton.textContent = "Pause";
                                }
                            });
                        } else {
                            console.error("Fancybox content not available.");
                        }

                        setTimeout(function(){
                            if (slide) {
                                const $slide = jQuery(slide.$content).closest(".fancybox__slide.has-caption"); // Target the current slide
                                const $content = $slide.find(".fancybox__content");
                                const $caption = $slide.find(".fancybox__caption");

                                // Add custom play/pause button
                                // const videoElement = $content.find("iframe")[0]; // Get the iframe element
                                // const iframeSrc = videoElement ? videoElement.src : '';
                                // const iframeContainer = $content;

                                // // Add custom play/pause button
                                // const playPauseButton = $('<button class="play-pause-btn">Play/Pause</button>');

                                // // Initially hide the button until iframe is ready
                                // playPauseButton.hide().appendTo(iframeContainer);

                                // // Handle button click
                                // playPauseButton.on("click", function () {
                                //     const iframeWindow = videoElement.contentWindow;
                                //     const iframeDoc = iframeWindow.document;

                                //     if (videoElement.paused) {
                                //         iframeDoc.querySelector('video').play(); // Play the video
                                //     } else {
                                //         iframeDoc.querySelector('video').pause(); // Pause the video
                                //     }
                                // });

                                // // Show the button after the iframe is loaded
                                // $(videoElement).on('load', function () {
                                //     playPauseButton.show();
                                // });

                                // // Remove default controls
                                // const videoElementInIframe = $content.find("iframe").contents().find("video");
                                // videoElementInIframe.attr("controls", false); // Disable default controls

                                // Ensure both elements exist before proceeding
                                if ($content.length && $caption.length) {
                                    // Move the caption into the content div
                                    $content.append($caption);
                                } else {
                                    console.error("Required elements (.fancybox__content or .fancybox__caption) not found.");
                                }
                            }
                        }, 1000)
                    },
                },
            });
        });
        
        
        </script>


    <?php
}
add_action('wp_footer', 'initialize_fancybox');


function KZR_admin_enqueue()
{
    $current_screen = get_current_screen();
    wp_enqueue_media();
    // Check if we are on the Gutenberg editor screen
    if ($current_screen && 'post' === $current_screen->base && post_type_supports($current_screen->post_type, 'editor')) {
        wp_enqueue_script('jquery');
        
        wp_enqueue_style('owl-carousel-css', get_stylesheet_directory_uri() . '/owl-carousel/assets/owl.carousel.min.css');
        wp_enqueue_style('bootstrap-css', get_stylesheet_directory_uri() . '/css/bootstrap.min.css', array(), '1.0', 'all');
        //wp_enqueue_style('datatable-css-table', get_stylesheet_directory_uri() . '/data-table/css/dataTables.css');
        // wp_enqueue_style('datatable-css-responsive', get_stylesheet_directory_uri() . '/data-table/css/responsive.dataTables.css');
        wp_enqueue_style('main-css', get_stylesheet_directory_uri() . '/style.css', array(), '1.0', 'all');
        wp_enqueue_style('admin-css', get_stylesheet_directory_uri() . '/css/admin.css', array(), '1.0', 'all');
        //wp_enqueue_script('datatable-script-table', get_stylesheet_directory_uri() . '/data-table/js/dataTables.js',);
        //wp_enqueue_script('datatable-script-responsive', get_stylesheet_directory_uri() . '/data-table/js/dataTables.responsive.js',);
        //wp_enqueue_script('datatable-script-dataTables', get_stylesheet_directory_uri() . '/data-table/js/responsive.dataTables.js',);
        wp_enqueue_script('bootstrap-script', get_stylesheet_directory_uri() . '/js/bootstrap.min.js', '1.0', true);
        wp_enqueue_script('owl-carousel-script', get_stylesheet_directory_uri() . '/owl-carousel/owl.carousel.min.js',  '1.0', true);
        wp_enqueue_script('fullcalendar-js', 'https://cdn.jsdelivr.net/npm/fullcalendar@6.1.8/index.global.min.js', array('jquery'), null, true);
        wp_enqueue_script('custom-script', get_stylesheet_directory_uri() . '/js/custom-script.js',);
    
    }
    wp_enqueue_script('wp-tinymce');
    wp_enqueue_script('admin-script', get_stylesheet_directory_uri() . '/js/admin.js',);
}
add_action('admin_enqueue_scripts', 'KZR_admin_enqueue');
function kzr_customize_register( $wp_customize ) {

    $wp_customize->add_section( 'login_register_button', array(
        'title'       => __( 'Registration button ', 'kzr' ),
        'description' => __( 'Registration content', 'kzr' ),
        'priority'    => 40,
    ) );

    
    $wp_customize->add_setting( 'Registration_text', array(
        'default'   => '',
        'transport' => 'refresh',
    ) );

    // Registration Text Control
    $wp_customize->add_control( 'Registration_text_control', array(
        'label'    => __( 'Registration Text', 'kzr' ),
        'section'  => 'login_register_button',
        'settings' => 'Registration_text',
        'type'     => 'text',
    ) );

    // Registration URL Setting
    $wp_customize->add_setting( 'Registration_url', array(
        'default'   => '',
        'transport' => 'refresh',
    ) );

    // Registration URL Control
    $wp_customize->add_control( 'Registration_url_control', array(
        'label'    => __( 'Registration URL', 'kzr' ),
        'section'  => 'login_register_button',
        'settings' => 'Registration_url',
        'type'     => 'text',
    ) );


// Social Media 1 Link Setting
$wp_customize->add_setting( 'Registration_url', array(
    'default'   => '',
    'transport' => 'refresh',
) );

// Social Media 1 Link Control
$wp_customize->add_control( 'Registration_url_control', array(
    'label'    => __( 'Registratrion url ', 'kzr' ),
    'section'  => 'login_register_button',
    'settings' => 'Registration_url',
    'type'     => 'text',
) );

}
add_action( 'customize_register', 'kzr_customize_register' );

function kzr_register_customizer_string_for_wpml() {
    // Check if WPML is active
    if ( function_exists( 'icl_register_string' ) ) {
        // Registration Text
        $registration_text = get_theme_mod( 'Registration_text', '' );
        if ( $registration_text ) {
            do_action( 'wpml_register_string', 'Theme Customizer', 'Registration_text', $registration_text );
        }

        // Registration URL (optional, if you want this translated as well)
        $registration_url = get_theme_mod( 'Registration_url', '' );
        if ( $registration_url ) {
            do_action( 'wpml_register_string', 'Theme Customizer', 'Registration_url', $registration_url );
        }
    }
}
add_action( 'wpml_loaded', 'kzr_register_customizer_string_for_wpml' );

function filter_search_query($query) {
    if (!is_admin() && $query->is_main_query() && $query->is_search()) {
        // Get filter values
        $search_text = sanitize_text_field(get_query_var('search_text'));
        $search_location = sanitize_text_field(get_query_var('search_location'));
        $search_date = sanitize_text_field(get_query_var('search_date')); // Date in `YYYY-MM-DD` format
        $query->set('post_type', 'post');
        // Meta Query for Custom Fields
        $meta_query = array('relation' => 'AND');

        if (!empty($search_location)) {
            $meta_query[] = array(
                'key' => 'locations', // Replace with your custom field name
                'value' => $search_location,
                'compare' => 'LIKE',
            );
        }

        if (!empty($meta_query)) {
            $query->set('meta_query', $meta_query);
        }

        // Add date filter for published posts
        if (!empty($search_date)) {
            $date_query = array(
                array(
                    'year'  => date('Y', strtotime($search_date)),
                    'month' => date('m', strtotime($search_date)),
                    'day'   => date('d', strtotime($search_date)),
                ),
            );
            $query->set('date_query', $date_query);
        }

        // Add text search
        if (!empty($search_text)) {
            $query->set('s', $search_text);
        }
        // // Avoid including other posts that don't match
        // if (empty($search_location) && empty($search_date)) {
        //     $query->set('post__in', array(0)); // No posts will be shown
        // }
    }
}
add_action('pre_get_posts', 'filter_search_query');



// artikuly search
// Add custom query variables
function add_custom_query_vars($vars) {
    $vars[] = 'location';
    $vars[] = 'search_date';
    return $vars;
}
add_filter('query_vars', 'add_custom_query_vars');

// Modify the main query to handle custom search
function handle_custom_search_query($query) {
    if (!is_admin() && $query->is_main_query() && isset($_GET['s']) && $query->is_search()) {
        // Get custom variables
        $location = get_query_var('location');
        $search_date = get_query_var('search_date');

        // Add meta_query for location
        if (!empty($location)) {
            $query->set('meta_query', array(
                array(
                    'key' => 'locations',
                    'value' => $location,
                    'compare' => 'LIKE',
                ),
            ));
        }

        // Add date_query for search_date
        if (!empty($search_date)) {
            $query->set('date_query', array(
                array(
                    'after' => $search_date,
                    'inclusive' => true,
                ),
            ));
        }
    }
}
add_action('pre_get_posts', 'handle_custom_search_query');


function theme_footer_widgets_init()
{
    register_sidebar(
        array(
            'name' => __(' Sidebar', 'kolejow'),
            'id' => 'primary-sidebar',
            'description' => __('Widgets added here will appear in the Sidebar.', 'kolejow'),
            'before_widget' => '<div id="%1$s" class="widget %2$s">',
            'after_widget' => '</div>',
            'before_title' => '<h3 class="widget-title">',
            'after_title' => '</h3>',
        )
    );
    register_sidebar(
        array(
            'name' => __('Serch Sidebar', 'kolejow'),
            'id' => 'serach-sidebar',
            'description' => __('Widgets added here will appear in the Search Sidebar.', 'kolejow'),
            'before_widget' => '<div id="%1$s" class="widget %2$s">',
            'after_widget' => '</div>',
            'before_title' => '<h3 class="widget-title">',
            'after_title' => '</h3>',
        )
    );
    register_sidebar(
        array(
            'name' => __(' Footer1', 'kolejow'),
            'id' => 'footer-sidebar',
            'description' => __('Widgets added here will appear in the footer.', 'kolejow'),
            'before_widget' => '<div id="%1$s" class="widget %2$s">',
            'after_widget' => '</div>',
            'before_title' => '<h3 class="widget-title">',
            'after_title' => '</h3>',
        )
    );
    register_sidebar(
        array(
            'name' => __('Footer2', 'kolejow'),
            'id' => 'footer-sidebar-2',
            'description' => __('Widgets added here will appear in the footer.', 'kolejow'),
            'before_widget' => '<div id="%1$s" class="widget %2$s">',
            'after_widget' => '</div>',
            'before_title' => '<h3 class="widget-title">',
            'after_title' => '</h3>',
        )
    );
    register_sidebar(
        array(
            'name' => __('Footer3', 'kolejow'),
            'id' => 'footer-sidebar-3',
            'description' => __('Widgets added here will appear in the footer.', 'kolejow'),
            'before_widget' => '<div id="%1$s" class="widget %2$s">',
            'after_widget' => '</div>',
            'before_title' => '<h3 class="widget-title">',
            'after_title' => '</h3>',
        )
    );
    register_sidebar(
        array(
            'name' => __('Footer4', 'kolejow'),
            'id' => 'footer-sidebar-4',
            'description' => __('Widgets added here will appear in the footer.', 'kolejow'),
            'before_widget' => '<div id="%1$s" class="widget %2$s">',
            'after_widget' => '</div>',
            'before_title' => '<h3 class="widget-title">',
            'after_title' => '</h3>',
        )
    );
   
}

add_action('widgets_init', 'theme_footer_widgets_init');

function my_header_social_widget_area() {
    register_sidebar( array(
        'name'          => __( 'Header Social Widget Area', 'kolejow' ),
        'id'            => 'header-social-widget-area',  // Unique ID for the widget area
        'description'   => __( 'A custom widget area for your theme.', 'kolejow' ),
        'before_widget' => '<div class="widget %2$s">', // Before widget markup
        'after_widget'  => '</div>', // After widget markup
        'before_title'  => '<h3 class="header-widget-title">', // Before widget title markup
        'after_title'   => '</h3>', // After widget title markup
    ) );
    register_sidebar( array(
        'name'          => __( 'Header Top Logo Widget Area', 'kolejow' ),
        'id'            => 'header-top-logo-widget-area',  // Unique ID for the widget area
        'description'   => __( 'A custom widget area for your theme.', 'kolejow' ),
        'before_widget' => '<div class="widget %2$s">', // Before widget markup
        'after_widget'  => '</div>', // After widget markup
        'before_title'  => '<h3 class="header-top-logo-widget-title">', // Before widget title markup
        'after_title'   => '</h3>', // After widget title markup
    ) );
}
add_action( 'widgets_init', 'my_header_social_widget_area' );

function custom_search_filter($query) {
    if (!is_admin() && $query->is_search && $query->is_main_query()) {
        // Check if category is set and filter by it
        if (isset($_GET['category']) && !empty($_GET['category'])) {
            $query->set('cat', sanitize_text_field($_GET['category']));
        }

        // Initialize date_query if it is not already set
        $date_query = array();

        // Check if date_from is set and filter by it
        if (isset($_GET['date_from']) && !empty($_GET['date_from'])) {
            $date_query[] = array(
                'after' => sanitize_text_field($_GET['date_from']),
                'inclusive' => true,
            );
        }

        // Check if date_to is set and filter by it
        if (isset($_GET['date_to']) && !empty($_GET['date_to'])) {
            $date_query[] = array(
                'before' => sanitize_text_field($_GET['date_to']),
                'inclusive' => true,
            );
        }

        // Set the date_query if there are date filters
        if (!empty($date_query)) {
            $query->set('date_query', $date_query);
        }

        // Set the number of results per page
        if (isset($_GET['results_per_page']) && !empty($_GET['results_per_page'])) {
            $query->set('posts_per_page', intval($_GET['results_per_page']));
        }
    }
}

add_action('pre_get_posts', 'custom_search_filter');
function custom_breadcrumbs() {
    global $post;

    // Breadcrumb Home Text and Separator
    $home_text = __('Strona główna', 'KZR');
    $breadcrumb_output = "<nav class='breadcrumb-nav my-4 mt-lg-0 mb-lg-5' aria-label='breadcrumb' style=\"--bs-breadcrumb-divider: url(&#34;data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='10' height='10' %3E%3Cpath d='M2.5 0L1 1.5 3.5 4 1 6.5 2.5 8l4-4-4-4z' fill='%23DC0451'/%3E%3C/svg%3E&#34;);\"><ol class='breadcrumb'>";

    // Add Home Link
    $breadcrumb_output .= '<li class="breadcrumb-item"><a href="' . home_url() . '">' . $home_text . '</a></li>';

    if (is_category() || is_single()) {
        // Categories and Single Posts
        if (is_single()) {
            // Get categories for single post
            /*$categories = get_the_category();
            if ($categories) {
                // Loop through categories to add category links
                foreach ($categories as $category) {
                    $breadcrumb_output .= '<li class="breadcrumb-item"><a href="' . get_category_link($category->term_id) . '">' . $category->name . '</a></li>';
                    // Check for any parent category or post type page
                    if ($category->parent) {
                        // Traverse and add parent categories
                        $parent_category = get_term($category->parent, 'category');
                        while ($parent_category) {
                            $breadcrumb_output .= '<li class="breadcrumb-item"><a href="' . get_category_link($parent_category->term_id) . '">' . $parent_category->name . '</a></li>';
                            $parent_category = get_term($parent_category->parent, 'category');
                        }
                    }
                }
            }*/

            // Handle custom taxonomy terms for custom post types
            $post_type = get_post_type();
            $taxonomies = get_object_taxonomies($post_type);
            
            foreach ($taxonomies as $taxonomy) {
                $terms = get_the_terms($post, $taxonomy);
                if ($terms && !is_wp_error($terms)) {
                    foreach ($terms as $term) {
                        $breadcrumb_output .= '<li class="breadcrumb-item"><a href="' . get_term_link($term) . '">' . $term->name . '</a></li>';
                    }
                }
            }
        }

        if (is_single()) {
            $breadcrumb_output .= '<li class="breadcrumb-item active"><span>' . get_the_title() . '</span></li>';
        }
    } elseif (is_page()) {
        // Parent Page Logic for Regular Pages
        if (isset($post) && $post instanceof WP_Post) {
            $breadcrumbs = array();
            $parent_id = $post->post_parent;

            // Traverse Parent Hierarchy for Regular Pages
            while ($parent_id) {
                $page = get_post($parent_id);
                if ($page) {
                    $breadcrumbs[] = '<li class="breadcrumb-item"><a href="' . get_permalink($page->ID) . '">' . get_the_title($page->ID) . '</a></li>';
                    $parent_id = $page->post_parent;
                } else {
                    break; // Safety check
                }
            }

            // Reverse for Proper Order and Append
            $breadcrumbs = array_reverse($breadcrumbs);
            foreach ($breadcrumbs as $crumb) {
                $breadcrumb_output .= $crumb;
            }
        }

        // Current Page
        $breadcrumb_output .= '<li class="breadcrumb-item active"><span>' . get_the_title() . '</span></li>';
    } /*elseif (is_singular('konkursy')) {
        // Custom Post Type Handling with Parent Pages

        // If this custom post type has parent pages, add them to the breadcrumb trail
        if ($post->post_parent) {
            $parent_id = $post->post_parent;
            $breadcrumbs = array();

            // Traverse parent pages
            while ($parent_id) {
                $parent_post = get_post($parent_id);
                if ($parent_post) {
                    $breadcrumbs[] = '<li class="breadcrumb-item"><a href="' . get_permalink($parent_post->ID) . '">' . get_the_title($parent_post->ID) . '</a></li>';
                    $parent_id = $parent_post->post_parent;
                } else {
                    break; // Safety check
                }
            }

            // Reverse for proper order and append
            $breadcrumbs = array_reverse($breadcrumbs);
            foreach ($breadcrumbs as $crumb) {
                $breadcrumb_output .= $crumb;
            }
        }

        // Current Custom Post Type
        $breadcrumb_output .= '<li class="breadcrumb-item active"><span>' . get_the_title() . '</span></li>';
    }*/ elseif (is_search()) {
        $breadcrumb_output .= '<li class="breadcrumb-item"><span>' . __('Wyniki wyszukiwania dla „', 'KZR') . get_search_query() . '”</span></li>';
    } elseif (is_tag()) {
        $breadcrumb_output .= '<li class="breadcrumb-item active"><span>Tag: „' . single_tag_title('', false) . '”</span></li>';
    } elseif (is_day()) {
        // Day Archive
        $breadcrumb_output .= '<li class="breadcrumb-item"><a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a></li>';
        $breadcrumb_output .= '<li class="breadcrumb-item"><a href="' . get_month_link(get_the_time('Y'), get_the_time('m')) . '">' . get_the_time('F') . '</a></li>';
        $breadcrumb_output .= '<li class="breadcrumb-item active"><span>' . get_the_time('d') . '</span></li>';
    } elseif (is_month()) {
        // Month Archive
        $breadcrumb_output .= '<li class="breadcrumb-item"><a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a></li>';
        $breadcrumb_output .= '<li class="breadcrumb-item active"><span>' . get_the_time('F') . '</span></li>';
    } elseif (is_year()) {
        // Year Archive
        $breadcrumb_output .= '<li class="breadcrumb-item active"><span>' . get_the_time('Y') . '</span></li>';
    } elseif (is_author()) {
        $breadcrumb_output .= '<li class="breadcrumb-item active"><span>Autor: ' . get_the_author() . '</span></li>';
    } elseif (is_404()) {
        $breadcrumb_output .= '<li class="breadcrumb-item active"><span>404 - Strona nie znaleziona</span></li>';
    } elseif (is_tax()) {
        // Custom Taxonomy (Category/Term) Handling
        $taxonomy = get_queried_object();
        $term_name = $taxonomy->name;
        $term_link = get_term_link($taxonomy);
        //$breadcrumb_output .= '<li class="breadcrumb-item"><a href="' . $term_link . '">' . $term_name . '</a></li>';
        $breadcrumb_output .= '<li class="breadcrumb-item active"><span>' . single_term_title('', false) . '</span></li>';
    }

    $breadcrumb_output .= '</ol></nav>';

    echo $breadcrumb_output;
}



function custom_add_meta_box() {
    add_meta_box(
        'custom_icon_meta_box', // ID
        'Icon Settings', // Title
        'custom_icon_meta_box_callback', // Callback
        'page', // Screen (post type)
        'side', // Context
        'high' // Priority
    );
}
add_action('add_meta_boxes', 'custom_add_meta_box');

function custom_icon_meta_box_callback($post) {
    // Retrieve current values
    $icon_url = get_post_meta($post->ID, '_custom_icon_url', true);
    $show_icon = get_post_meta($post->ID, '_custom_show_icon', true);

    // Nonce field for security
    wp_nonce_field('custom_icon_meta_box', 'custom_icon_meta_box_nonce');

    // Icon preview
    if ($icon_url) {
        echo '<p><img id="custom_icon_preview" src="' . esc_url($icon_url) . '" style="max-width:100%; height:auto;" /></p>';
    } else {
        echo '<p><img id="custom_icon_preview" src="" style="display:none; max-width:100%; height:auto;" /></p>';
    }

    // Icon URL field (hidden)
    echo '<input type="hidden" id="custom_icon_url" name="custom_icon_url" value="' . esc_attr($icon_url) . '" />';

    // Upload button
    echo '<input type="button" id="custom_icon_upload_button" class="button" value="Upload Icon" />';

    // Remove button (only show if an icon is set)
    if ($icon_url) {
        echo '<input type="button" id="custom_icon_remove_button" class="button" value="Remove Icon" />';
    } else {
        echo '<input type="button" id="custom_icon_remove_button" class="button" value="Remove Icon" style="display:none;" />';
    }

    // Show Icon checkbox
    echo '<p class="margin"><label for="custom_show_icon">Show Icon:</label></p>';
    echo '<input type="checkbox" id="custom_show_icon" name="custom_show_icon" value="1" ' . checked($show_icon, 1, false) . ' /> Yes';
}


function custom_save_meta_box_data($post_id) {
    if (!isset($_POST['custom_icon_meta_box_nonce']) || !wp_verify_nonce($_POST['custom_icon_meta_box_nonce'], 'custom_icon_meta_box')) {
        return;
    }

    if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) {
        return;
    }

    if (!current_user_can('edit_post', $post_id)) {
        return;
    }

    if (isset($_POST['custom_icon_url'])) {
        update_post_meta($post_id, '_custom_icon_url', sanitize_text_field($_POST['custom_icon_url']));
    }

    $show_icon = isset($_POST['custom_show_icon']) ? 1 : 0;
    update_post_meta($post_id, '_custom_show_icon', $show_icon);
}
add_action('save_post', 'custom_save_meta_box_data');


// Add a custom field to menu items
function add_menu_icon_upload_field($item_id, $item, $depth, $args) {
    // Retrieve the existing icon URL if it exists
    $icon_url = get_post_meta($item_id, '_cutstom_icon_url', true);
    ?>
    <p class="description description-wide">
        <label for="edit-menu-item-icon-<?php echo esc_attr($item_id); ?>" style="display: block; width: 100%;">
            <?php _e('SVG Icon Code', 'KZR'); ?><br>
            <input type="button" class="button button-secondary upload-icon-button" value="<?php _e('Upload Icon', 'KZR'); ?>" />
			<!-- <textarea style="width: 100%;" id="edit-menu-item-icon-<?php echo esc_attr($item_id); ?>" name="menu-item-icon[<?php echo esc_attr($item_id); ?>]"><?php echo esc_attr($icon_url); ?></textarea> -->
            <input type="hidden" id="edit-menu-item-icon-<?php echo esc_attr($item_id); ?>" name="menu-item-icon[<?php echo esc_attr($item_id); ?>]" value="<?php echo esc_attr($icon_url); ?>" />
            <img src="<?php echo esc_url($icon_url); ?>" alt="<?php _e('Icon Preview', 'KZR'); ?>" style="max-width: 100px; display: <?php echo $icon_url ? 'block' : 'none'; ?>;" />
        </label>
    </p>
    <?php
}
add_action('wp_nav_menu_item_custom_fields', 'add_menu_icon_upload_field', 10, 4);

// Save the custom field value
function save_menu_icon_upload_field($menu_id, $menu_item_db_id, $args) {
    if (isset($_POST['menu-item-icon'][$menu_item_db_id])) {
        $icon_url = $_POST['menu-item-icon'][$menu_item_db_id];
        update_post_meta($menu_item_db_id, '_cutstom_icon_url', $icon_url);
    } else {
        delete_post_meta($menu_item_db_id, '_cutstom_icon_url');
    }
}
add_action('wp_update_nav_menu_item', 'save_menu_icon_upload_field', 10, 3);

// Add image upload field to the add new term page
function add_category_image_field() {
    ?>
    <div class="form-field">
        <label for="category-image"><?php _e('Category Image', 'text-domain'); ?></label>
        <input type="text" name="category_image" id="category-image" value="" class="category-image-url">
        <button class="upload-category-image button"><?php _e('Upload Image', 'text-domain'); ?></button>
    </div>
    <?php
}
add_action('category_add_form_fields', 'add_category_image_field');

// Add image upload field to the edit term page
function edit_category_image_field($term) {
    $category_image = get_term_meta($term->term_id, 'category_image', true);
    ?>
    <tr class="form-field">
        <th scope="row" valign="top"><label for="category-image"><?php _e('Category Image', 'text-domain'); ?></label></th>
        <td>
            <input type="text" name="category_image" id="category-image" value="<?php echo esc_attr($category_image); ?>" class="category-image-url">
            <button class="upload-category-image button"><?php _e('Upload Image', 'text-domain'); ?></button>
            <p class="description"><?php _e('Upload an image for this category.', 'text-domain'); ?></p>
        </td>
    </tr>
    <?php
}
add_action('category_edit_form_fields', 'edit_category_image_field');

// Enqueue the media uploader script and add JS to handle image upload


// Save the category image
function save_category_image($term_id) {
    if (isset($_POST['category_image']) && '' !== $_POST['category_image']) {
        update_term_meta($term_id, 'category_image', sanitize_text_field($_POST['category_image']));
    } else {
        delete_term_meta($term_id, 'category_image');
    }
}
add_action('created_category', 'save_category_image');
add_action('edited_category', 'save_category_image');
// function populate_categories_select() {
//     // Fetch all categories
//     $categories = get_categories();
    
//     // Start the output buffer
//     ob_start();
    
//     // Create the <select> element
//     echo '<select name="menu-497" id="form-consultation" class="wpcf7-form-control wpcf7-select wpcf7-validates-as-required form-select">';
//     echo '<option value="">Wybierz temat</option>'; // Default option
    
//     // Loop through categories and add them as <option> elements
//     foreach ( $categories as $category ) {
//         echo '<option value="' . esc_attr( $category->term_id ) . '">' . esc_html( $category->name ) . '</option>';
//     }
    
//     echo '</select>';
    
//     // Return the buffered content
//     return ob_get_clean();
// }
// add_shortcode('category_select', 'populate_categories_select');



add_filter('wpcf7_form_elements', 'populate_categories_in_select');

function populate_categories_in_select($content) {
   
    // Check if this is the specific form you want to modify
    if (strpos($content, 'name="menu-497"' ) !== false) {
        // Fetch all categories
        $categories = get_categories();

        // Initialize options
        $options = '<option value="">Wybierz temat</option>';

        // Build options
        foreach ($categories as $category) {
            $options .= '<option value="' . esc_attr($category->term_id) . '">' . esc_html($category->name) . '</option>';
        }

        // Replace the placeholder with the new options
        $pattern = '/<select[^>]*name="menu-497"[^>]*>.*?<\/select>/s';
        $replacement = '<select id="form-consultation" class="form-select" name="menu-497">' . $options . '</select>';
        $content = preg_replace($pattern, $replacement, $content);

       
    }
    return $content;
}

function acf_banner_block() {
	// check function exists
	if( function_exists('acf_register_block') ) {
		// register a banner item block
		acf_register_block(array(
			'name'				=> 'banner-home',
			'title'				=> __('Slajder'),
			//'description'		=> __('A custom blok for home slajder.'),
			'render_template'	=> 'template-parts/block-home-banner.php',
            //'render_callback'	=> 'block_home_banner_render_callback',
			'category'			=> 'layout',
			'icon'				=> 'excerpt-view',
			'keywords'			=> array( 'banner', 'carousel', 'home' ),
		));

        acf_register_block(array(
            'name'              => 'na-skróty',
            'title'             => __('Na skróty'),
            //'description'       => __('A custom blok for Na skróty.'),
            'render_template'   => 'template-parts/block-shortcuts-logo.php',
            'category'          => 'layout',
            'icon'              => 'excerpt-view',
            'keywords'          => array( 'na-skróty' ),
        ));

        acf_register_block(array(
            'name'              => 'about-campaign',
            'title'             => __('Blok informacyjny'),
            //'description'       => __('A custom blok for Blok informacyjny.'),
            'render_template'   => 'template-parts/block-about-campaign.php',
            'category'          => 'layout',
            'icon'              => 'excerpt-view',
            'keywords'          => array( 'campaign' ),
        ));
        acf_register_block(array(
            'name'              => 'gry',
            'title'             => __('Gry'),
            //'description'       => __('A custom blok for Gry.'),
            'render_template'   => 'template-parts/block-games.php',
            'category'          => 'layout',
            'icon'              => 'excerpt-view',
            'keywords'          => array( 'Gry' ),
        ));
        acf_register_block(array(
            'name'              => 'e-podręczniki',
            'title'             => __('E-podręczniki'),
            //'description'       => __('A custom blok for E-podręczniki.'),
            'render_template'   => 'template-parts/block-ebooks.php',
            'category'          => 'layout',
            'icon'              => 'excerpt-view',
            'keywords'          => array( 'e-podręczniki', 'book' ),
        ));
        acf_register_block(array(
            'name'              => 'albumy',
            'title'             => __('Albumy'),
            //'description'       => __('A custom blok for Albumy.'),
            'render_template'   => 'template-parts/block-albumy.php',
            'category'          => 'layout',
            'icon'              => 'excerpt-view',
            'keywords'          => array( 'albumy' ),
        ));
        acf_register_block(array(
            'name'              => 'filmy',
            'title'             => __('Filmy'),
            //'description'       => __('A custom blok for Filmy.'),
            'render_template'   => 'template-parts/block-filmy.php',
            'category'          => 'layout',
            'icon'              => 'excerpt-view',
            'keywords'          => array( 'filmy' ),
        ));
        acf_register_block(array(
            'name'              => 'konkursy',
            'title'             => __('Konkursy'),
            //'description'       => __('A custom blok for konkursy.'),
            'render_template'   => 'template-parts/block-konkursy.php',
            'category'          => 'layout',
            'icon'              => 'excerpt-view',
            'keywords'          => array( 'konkursy' ),
        ));
        acf_register_block(array(
            'name'              => 'konkursy-kategoria',
            'title'             => __('Konkurcy Kategoria'),
            //'description'       => __('A custom blok for konkursy Kategoria.'),
            'render_template'   => 'template-parts/block-konkursy-kategoria.php',
            'category'          => 'layout',
            'icon'              => 'excerpt-view',
            'keywords'          => array( 'konkursy-kategoria' ),
        ));
        acf_register_block(array(
            'name'              => 'akordeon',
            'title'             => __('Akordeon'),
            //'description'       => __('A custom blok for Akordeon.'),
            'render_template'   => 'template-parts/block-akordeon.php',
            'category'          => 'layout',
            'icon'              => 'excerpt-view',
            'keywords'          => array( 'akordeon' ),
        ));
        acf_register_block(array(
            'name'              => 'galeria',
            'title'             => __('Galeria'),
            //'description'       => __('A custom blok for Galeria.'),
            'render_template'   => 'template-parts/block-galeria.php',
            'category'          => 'layout',
            'icon'              => 'excerpt-view',
            'keywords'          => array( 'galeria' ),
        ));
        acf_register_block(array(
            'name'              => 'calendar-events',
            'title'             => __('Kalendarz wydarzeń'),
            //'description'       => __('A custom blok for Kalendarz wydarzeń.'),
            'render_template'   => 'template-parts/block-calendar-events.php',
            'category'          => 'layout',
            'icon'              => 'excerpt-view',
            'keywords'          => array( 'calendar' ),
        ));
        acf_register_block(array(
            'name'              => 'posty-carousel',
            'title'             => __('Posty Carousel'),
            //'description'       => __('A custom blok for Posty Carousel.'),
            'render_template'   => 'template-parts/block-posty-carousel.php',
            'category'          => 'layout',
            'icon'              => 'excerpt-view',
            'keywords'          => array( 'posty' ),
        ));
        acf_register_block(array(
            'name'              => 'link-list',
            'title'             => __('Linki'),
            //'description'       => __('A custom blok for Linki.'),
            'render_template'   => 'template-parts/block-link-list.php',
            'category'          => 'layout',
            'icon'              => 'excerpt-view',
            'keywords'          => array( 'link', 'list' ),
        ));
        acf_register_block(array(
            'name'              => 'download-list',
            'title'             => __('Pliki do pobrania'),
            //'description'       => __('A custom blok for Pliki do pobrania.'),
            'render_template'   => 'template-parts/block-download-list.php',
            'category'          => 'layout',
            'icon'              => 'excerpt-view',
            'keywords'          => array( 'download', 'list' ),
        ));
        acf_register_block(array(
            'name'              => 'kontact-map',
            'title'             => __('Kontakt Z Mapą'),
            //'description'       => __('A custom blok for Kontakt Z Mapą.'),
            'render_template'   => 'template-parts/block-kontact-map.php',
            'category'          => 'layout',
            'icon'              => 'excerpt-view',
            'keywords'          => array( 'contact', 'map' ),
        ));
        acf_register_block(array(
            'name'              => 'szybkie-linki',
            'title'             => __('Szybkie linki'),
            //'description'       => __('A custom blok for Szybkie linki.'),
            'render_template'   => 'template-parts/block-szybkie-linki.php',
            'category'          => 'layout',
            'icon'              => 'excerpt-view',
            'keywords'          => array( 'Icon', 'link' , 'list' ),
        ));
        acf_register_block(array(
            'name'              => 'wazne-informacje',
            'title'             => __('Ważne informacje'),
            //'description'       => __('A custom blok for Ważne informacje.'),
            'render_template'   => 'template-parts/block-wazne-informacje.php',
            'category'          => 'layout',
            'icon'              => 'excerpt-view',
            'keywords'          => array( 'table', 'column' , 'list' ),
        ));
        acf_register_block(array(
            'name'              => 'artykuły-block',
            'title'             => __('Artykuły'),
            //'description'       => __('A custom blok for Artykuły Blok.'),
            'render_template'   => 'template-parts/block-search-wpisy.php',
            'category'          => 'layout',
            'icon'              => 'excerpt-view',
            'keywords'          => array( 'search', 'post' , 'list', 'artykuły' ),
        ));
        acf_register_block(array(
            'name'              => 'content-with-image',
            'title'             => __('Treść z obrazem'),
            //'description'       => __('A custom blok for Treść z obrazem.'),
            'render_template'   => 'template-parts/block-content-with-image.php',
            'category'          => 'layout',
            'icon'              => 'excerpt-view',
            'keywords'          => array( 'content', 'image' ),
        ));
        acf_register_block(array(
            'name'              => 'fotorelacje',
            'title'             => __('Fotorelacje'),
            //'description'       => __('A custom blok for Fotorelacje.'),
            'render_template'   => 'template-parts/block-fotorelacje-event-kategoria-posts.php',
            'category'          => 'layout',
            'icon'              => 'excerpt-view',
            'keywords'          => array( 'Fotorelacje', 'event' ),
        ));
        acf_register_block(array(
            'name'              => 'blok-logo-text',
            'title'             => __('Logo Tytul Blok'),
            //'description'       => __('A custom blok for Fotorelacje.'),
            'render_template'   => 'template-parts/block-logo-text.php',
            'category'          => 'layout',
            'icon'              => 'excerpt-view',
            'keywords'          => array( 'Fotorelacje', 'event' ),
        ));
	}
}
add_action('acf/init', 'acf_banner_block');


function schedule_event_category_check() {
    if (!wp_next_scheduled('check_event_category_dates_daily')) {
        wp_schedule_event(strtotime('tomorrow midnight'), 'daily', 'check_event_category_dates_daily');
    }
}
add_action('wp', 'schedule_event_category_check');
function clear_event_category_check() {
    $timestamp = wp_next_scheduled('check_event_category_dates_daily');
    if ($timestamp) {
        wp_unschedule_event($timestamp, 'check_event_category_dates_daily');
    }
}
add_action('switch_theme', 'clear_event_category_check');
function check_event_category_dates_daily() {
    $today = date('Y-m-d');

    // Query posts in the 'future' category
    $args = array(
        'post_type'      => 'event', // Replace with your custom post type
        'tax_query'      => array(
            array(
                'taxonomy' => 'event-category',
                'field'    => 'slug',
                'terms'    => 'events', // The future category
            ),
        ),
        'meta_query'     => array(
            array(
                'key'     => 'event_date', // Your event_date custom field
                'value'   => $today,
                'compare' => '<', // Events with a past date
                'type'    => 'DATE',
            ),
        ),
        'posts_per_page' => -1,
    );

    $query = new WP_Query($args);

    if ($query->have_posts()) {
        while ($query->have_posts()) {
            $query->the_post();

            // Get current post ID
            $post_id = get_the_ID();

            // Remove from 'future' category
            wp_remove_object_terms($post_id, 'events', 'event-category');

            // Add to 'photo' category
            wp_set_object_terms($post_id, 'photo-reports', 'event-category', true);
        }
    }

    wp_reset_postdata();
}
add_action('check_event_category_dates', 'check_event_category_dates');

function customize_website_modes($wp_customize) {
    // Add Section
    $wp_customize->add_section('website_modes', array(
        'title'    => __('Website Modes', 'your-theme'),
        'priority' => 30,
    ));

    // Add Setting for Modes
    $wp_customize->add_setting('active_mode', array(
        'default'           => 'none',
        'sanitize_callback' => 'sanitize_text_field',
    ));

    // Add Control for Modes (Radio Buttons)
    $wp_customize->add_control('active_mode', array(
        'type'     => 'radio',
        'section'  => 'website_modes',
        'label'    => __('Select Website Mode', 'Kolejowe'),
        'description' => __('Choose one mode to activate its features.', 'Kolejowe'),
        'choices'  => array(
            'none'      => __('None', 'Kolejowe'),
            'funeral'   => __('Funeral Mode', 'Kolejowe'),
            'patriotic' => __('Patriotic Mode', 'Kolejowe'),
            'christmas' => __('Christmas Mode', 'Kolejowe'),
            'easter'    => __('Easter Mode', 'Kolejowe'),
        ),
    ));
}
add_action('customize_register', 'customize_website_modes');


function add_mode_body_class($classes) {
    $active_mode = get_theme_mod('active_mode', 'none');

    if ($active_mode && $active_mode !== 'none') {
        $classes[] = $active_mode . '-mode'; // e.g., funeral-mode, patriotic-mode
    }

    return $classes;
}
add_filter('body_class', 'add_mode_body_class');

function customize_preview_js() {
    wp_enqueue_script('customizer-preview', get_template_directory_uri() . '/js/customizer.js', array('customize-preview', 'jquery'), '1.0.0', true);
}
add_action('customize_preview_init', 'customize_preview_js');

// function custom_post_date_format($date, $format, $post) {
//     return date('d.m.Y', strtotime($post->post_date));
// }
// add_filter('get_the_date', 'custom_post_date_format', 10, 3);