<?php
function homepage_new_section_shortcode($atts){
    $atts = shortcode_atts(
        array(
            'post_type' => 'post',
            'posts_per_page' => 3,
            'categories' => '', // Default to no category filter
        ),
        $atts
    );

    $html_to_return = ''; // Initialize the variable

    ob_start();
    ?>
        <?php
            $post_type = sanitize_text_field($atts['post_type']);
            $posts_per_page = intval($atts['posts_per_page']);
            $posts_categories = intval($atts['categories']);

            $args = array(
                'post_type' => $post_type,
                'posts_per_page' =>$posts_per_page,
                'cat' =>  $posts_categories,
            );

            $custom_query = new WP_Query($args);
			 $index = 0;
        ?>
          <div class="owl-carousel owl-theme articles-carousel">
        <?php if ($custom_query->have_posts()) : ?>
            <?php while ($custom_query->have_posts()) : $custom_query->the_post();

            $thumbnail_id = get_post_thumbnail_id( get_the_ID() );

            // Get the alt text for the thumbnail image
            $thumbnail_alt = get_post_meta( $thumbnail_id, '_wp_attachment_image_alt', true );
            
            // Fallback to post title if alt text is not set
            $alt_text = $thumbnail_alt ? $thumbnail_alt : '';
            ?>
			  <div class="articles-wrap">
                <div class="item">
                    <div class="article-card">
                        <a href="<?php the_permalink(); ?>" class="d-flex">
                            <div class="article-featured-img">
                            <?php the_post_thumbnail('full', array('alt' => esc_attr($alt_text),'aria-hidden' => 'true')); ?>
                            </div>
                            <div class="article-content">
                                <div class="article-top">
                                    <h5><?php the_title(); ?></h5>
                                    <div class="excerpt-sec">
                                        <?php the_excerpt(); ?>
                                    </div>
                                </div>
                                <div class="article-bottom">
                                    <div class="meta-date"><?php echo get_the_date(); ?></div>
									<object>
										<div class="web-btn d-flex">
											<a href="<?php the_permalink(); ?>" class="link-btn">
												<span><?php esc_html_e('Czytaj więcej', 'Kolejowe'); ?></span>
												<div class="icon">
													<img decoding="async" src="<?php echo get_template_directory_uri(); ?>/images/right-arrow-circle.svg" alt="icon" aria-hidden="true">
												</div>    
											</a>
										</div>
									</object>
                                </div>
                            </div>
                        </a>
                    </div>
                </div>
			</div>	  
            <?php $index++; endwhile; ?>
        <?php else : ?>
            <div class="parentnone">
                <?php esc_html_e('No posts found.', 'KZR'); ?>
            </div>
        <?php endif; ?>
        <?php wp_reset_postdata(); ?>
    </div>
    <?php
    $html_to_return = ob_get_clean();

    return $html_to_return;
}

add_shortcode('homepage-new-shortcode', 'homepage_new_section_shortcode');

function competition_page_shortcode($atts){
    $atts = shortcode_atts(
        array(
            'post_type' => 'konkursy',
            'posts_per_page' => 9,
            'categories' => '', // Default to no category filter
        ),
        $atts
    );

    $html_to_return = ''; // Initialize the variable

    // Get the current page from the URL
    $paged = get_query_var('paged') ? get_query_var('paged') : 1;

    $post_type = sanitize_text_field($atts['post_type']);
    $posts_per_page = intval($atts['posts_per_page']);
    $posts_categories = intval($atts['categories']);

    $args = array(
        'post_type' => $post_type,
        'posts_per_page' => $posts_per_page,
        'paged' => $paged, // Pass current page to the query
        'cat' => $posts_categories,
    );

    $custom_query = new WP_Query($args);

    ob_start();
    ?>
    
           <div class="articles-wrap">
            <div class="row">
            <?php if ($custom_query->have_posts()) : ?>
            <?php while ($custom_query->have_posts()) : $custom_query->the_post();

            $thumbnail_id = get_post_thumbnail_id( get_the_ID() );

            // Get the alt text for the thumbnail image
            $thumbnail_alt = get_post_meta( $thumbnail_id, '_wp_attachment_image_alt', true );
            
            // Fallback to post title if alt text is not set
            $alt_text = $thumbnail_alt ? $thumbnail_alt : '';
            //Custom field
            $link=get_post_meta(get_the_ID(), 'download_url', true);   
            ?>
                <div class="col-lg-4 col-md-6">
                    <div class="article-card  competition-card">
                        <div class="article-featured-img">
                        <?php the_post_thumbnail('full', array('alt' => esc_attr($alt_text),'aria-hidden' => 'true')); ?>
                        </div>
                        <div class="article-content">
                            <div class="article-top">
                                <h5><?php the_title(); ?></h5>
                                <div class="excerpt-sec">
                                    <?php the_excerpt(); ?>
                                </div>
                            </div>
                            <div class="article-bottom">
                                <div class="meta-date"><?php echo get_the_date(); ?></div>
                                <div class="web-btn d-flex">
                                    <a href="<?php the_permalink(); ?>"  class="link-btn">
                                        <span><?php esc_html_e('Czytaj artykuł', 'Kolejowe'); ?></span>
                                        <div class="icon">
                                            <img decoding="async" src="<?php echo get_template_directory_uri(); ?>/images/right-arrow-circle.svg" alt="icon" aria-hidden="true">
                                        </div>    
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            <?php $index++; endwhile; ?>
        <?php else : ?>
            <div class="parentnone">
                <?php esc_html_e('No posts found.', 'KZR'); ?>
            </div>
        <?php endif; ?>
        <?php wp_reset_postdata(); ?>
    </div>
    <!-- Pagination -->
    <div class="pagination-wrap text-center">
        <div class="pagination-inner" role="navigation">
            <?php
            echo paginate_links(array(
                'base' => get_pagenum_link(1) . '%_%',
                'format' => 'page/%#%/',
                'current' => max(1, $paged), // Ensure the correct current page
                'total' => $custom_query->max_num_pages, // Use custom query's total pages
                'mid_size' => 2,
                'prev_text' => '&#x1F860;',
                'next_text' => '&#x1F862;',
            ));
            ?>
        </div>
    </div>
    
    <?php
    $html_to_return = ob_get_clean();

    return $html_to_return;
}

add_shortcode('competition-page-shortcode', 'competition_page_shortcode');

function games_section_shortcode($atts){
    $atts = shortcode_atts(
        array(
            'post_type' => 'post',
            'posts_per_page' => 3,
            'categories' => '', // Default to no category filter
        ),
        $atts
    );

    $html_to_return = ''; // Initialize the variable

    ob_start();
    ?>
        <?php
            $post_type = sanitize_text_field($atts['post_type']);
            $posts_per_page = intval($atts['posts_per_page']);
            $posts_categories = intval($atts['categories']);

            $args = array(
                'post_type' => $post_type,
                'posts_per_page' =>$posts_per_page,
                'cat' =>  $posts_categories,
            );

            $custom_query = new WP_Query($args);
             $index = 0;
        ?>
          <div class="owl-carousel owl-theme articles-carousel">
        <?php if ($custom_query->have_posts()) : ?>
            <?php while ($custom_query->have_posts()) : $custom_query->the_post();

            $thumbnail_id = get_post_thumbnail_id( get_the_ID() );

            // Get the alt text for the thumbnail image
            $thumbnail_alt = get_post_meta( $thumbnail_id, '_wp_attachment_image_alt', true );
            
            // Fallback to post title if alt text is not set
            $alt_text = $thumbnail_alt ? $thumbnail_alt : '';
            ?>
                <div class="item">
                    <div class="article-card">
                        <a href="<?php the_permalink(); ?>" class="d-flex">
                            <div class="article-featured-img">
                            <?php the_post_thumbnail('full', array('alt' => esc_attr($alt_text),'aria-hidden' => 'true')); ?>
                            </div>
                            <div class="article-content">
                                <div class="article-top">
                                    <h5><?php the_title(); ?></h5>
                                    <div class="excerpt-sec">
                                       <?php the_excerpt(); ?>
                                    </div>
                                </div>
                                <div class="article-bottom">
                                    <div class="meta-date"><?php echo get_the_date(); ?></div>
                                    <div class="web-btn d-flex">
                                        <a href="<?php the_permalink(); ?>" class="link-btn">
                                            <span><?php esc_html_e('Czytaj więcej', 'Kolejowe'); ?></span>
                                            <div class="icon">
                                                <img decoding="async" src="<?php echo get_template_directory_uri(); ?>/images/right-arrow-circle.svg" alt="icon" aria-hidden="true">
                                            </div>    
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </a>
                    </div>
                </div>
            <?php $index++; endwhile; ?>
        <?php else : ?>
            <div class="parentnone">
                <?php esc_html_e('No posts found.', 'KZR'); ?>
            </div>
        <?php endif; ?>
        <?php wp_reset_postdata(); ?>
    </div>
   
    
    <?php
    $html_to_return = ob_get_clean();

    return $html_to_return;
}

add_shortcode('games-new-shortcode', 'games_section_shortcode'); 

function games_page_shortcode($atts){
    $atts = shortcode_atts( 
        array(
            'post_type' => 'gra',
            'posts_per_page' => 9,
            'categories' => '', // Default to no category filter
        ),
        $atts
    );

    $html_to_return = ''; // Initialize the variable

    // Get the current page from the URL
        $paged = get_query_var('paged') ? get_query_var('paged') : 1;

        $post_type = sanitize_text_field($atts['post_type']);
        $posts_per_page = intval($atts['posts_per_page']);
        $posts_categories = intval($atts['categories']);

        $args = array(
            'post_type' => $post_type,
            'posts_per_page' => $posts_per_page,
            'paged' => $paged, // Pass current page to the query
            'cat' => $posts_categories,
        );

        $custom_query = new WP_Query($args);
        $index = 0;
        ob_start();
    ?>
       
          <div class="articles-wrap">
            <div class="row">
        <?php if ($custom_query->have_posts()) : ?>
            <?php while ($custom_query->have_posts()) : $custom_query->the_post();

            $thumbnail_id = get_post_thumbnail_id( get_the_ID() );

            //Custom field
            $link=get_post_meta(get_the_ID(), 'game_url', true);     


            // Get the alt text for the thumbnail image
            $thumbnail_alt = get_post_meta( $thumbnail_id, '_wp_attachment_image_alt', true );
            
            // Fallback to post title if alt text is not set
            $alt_text = $thumbnail_alt ? $thumbnail_alt : '';
            ?>
                <div class="col-lg-3 col-md-6 mb-4">
                    <div class="article-card v2">
                        <a href="<?php echo esc_url($link); ?>" class="d-flex">
                            <div class="article-featured-img">
                                <?php the_post_thumbnail('full', array('alt' => esc_attr($alt_text),'aria-hidden' => 'true')); ?>
                            </div>
                            <div class="article-content">
                                <div class="article-top">
                                    <h5><?php the_title(); ?></h5>
                                </div>
                            </div>
                        </a>
                    </div>
                </div>
                
            <?php $index++; endwhile; ?>
        <?php else : ?>
            <div class="parentnone">
                <?php esc_html_e('No posts found.', 'KZR'); ?>
            </div>
        <?php endif; ?>
        <?php wp_reset_postdata(); ?>
        </div>
    </div>
    <!-- Pagination -->
    <div class="pagination-wrap d-flex align-items-center justify-content-center">
        <div class="pagination-inner" role="navigation">
            <?php
            echo paginate_links(array(
                'base' => get_pagenum_link(1) . '%_%',
                'format' => 'page/%#%/',
                'current' => max(1, $paged), // Ensure the correct current page
                'total' => $custom_query->max_num_pages, // Use custom query's total pages
                'mid_size' => 2,
                'prev_text' => '&#x1F860;',
                'next_text' => '&#x1F862;',
            ));
            ?>
        </div>
    </div>
    
    <?php
    $html_to_return = ob_get_clean();

    return $html_to_return;
}

add_shortcode('games-page-shortcode', 'games_page_shortcode'); 

function ebook_page_shortcode($atts){
    $atts = shortcode_atts(
        array(
            'post_type' => 'e-podrecznik',
            'posts_per_page' => 6,
            'categories' => '', // Default to no category filter
        ),
        $atts
    );

    $html_to_return = ''; // Initialize the variable

        // Get the current page from the URL
        $paged = get_query_var('paged') ? get_query_var('paged') : 1;

        $post_type = sanitize_text_field($atts['post_type']);
        $posts_per_page = intval($atts['posts_per_page']);
        $posts_categories = intval($atts['categories']);

        $args = array(
            'post_type' => $post_type,
            'posts_per_page' => $posts_per_page,
            'paged' => $paged, // Pass current page to the query
            'cat' => $posts_categories,
        );

        $custom_query = new WP_Query($args);
        $index = 0;
        ob_start();
    ?>
       
          <div class="articles-wrap">
            <div class="row">
            <?php if ($custom_query->have_posts()) : ?>
            <?php while ($custom_query->have_posts()) : $custom_query->the_post();

            $thumbnail_id = get_post_thumbnail_id( get_the_ID() );

            // Get the alt text for the thumbnail image
            $thumbnail_alt = get_post_meta( $thumbnail_id, '_wp_attachment_image_alt', true );
            
            // Fallback to post title if alt text is not set
            $alt_text = $thumbnail_alt ? $thumbnail_alt : '';
            //Custom field
            $attachment_id=get_post_meta(get_the_ID(), 'download_url', true);
            $file_url = '#';
            if( $attachment_id )
                $file_url = wp_get_attachment_url($attachment_id);
            ?>
                <div class="col-xl-6 mb-4"> 
                    <div class="article-card ebook-card d-flex">
                        <div class="article-featured-img">
                             <?php the_post_thumbnail('full', array('alt' => esc_attr($alt_text),'aria-hidden' => 'true')); ?>
                        </div>
                        <div class="article-content">
                            <div class="article-top">
                                <h5><?php the_title(); ?></h5>
                            </div>
                            <div class="article-bottom d-flex flex-column">
                                <div class="web-btn d-flex">
                                    <a href="<?php echo esc_url($file_url, 'Kolejowe'); ?>" class="d-flex" download>
										<span><?php esc_html_e('Pobierz podręcznik', 'Kolejowe'); ?></span>
										<div class="icon">
											<img decoding="async" src="<?php echo get_template_directory_uri() ?>/images/right-arrow-circle.svg" alt="icon" aria-hidden="true">
										</div>  
									</a>
                                </div>
                            </div>
                        </div> 
                    </div>
                </div>
            <?php $index++; endwhile; ?>
        <?php else : ?>
            <div class="parentnone">
                <?php esc_html_e('No posts found.', 'KZR'); ?>
            </div>
        <?php endif; ?>
        <?php wp_reset_postdata(); ?>
    </div>
    </div>
    <!-- Pagination -->
    <div class="pagination-wrap d-flex align-items-start">
        <div class="pagination-inner" role="navigation">
            <?php
            echo paginate_links(array(
                'base' => get_pagenum_link(1) . '%_%',
                'format' => 'page/%#%/',
                'current' => max(1, $paged), // Ensure the correct current page
                'total' => $custom_query->max_num_pages, // Use custom query's total pages
                'mid_size' => 2,
                'prev_text' => '&#x1F860;',
                'next_text' => '&#x1F862;',
            ));
            ?>
        </div>
    </div>
    
    <?php
    $html_to_return = ob_get_clean();

    return $html_to_return;
}

add_shortcode('ebook-page-shortcode', 'ebook_page_shortcode');

function albumy_page_shortcode($atts){
    $atts = shortcode_atts(
        array(
            'post_type' => 'albumy',
            'posts_per_page' => 9,
            'categories' => '', // Default to no category filter
        ),
        $atts
    );

       $html_to_return = ''; // Initialize the variable

        // Get the current page from the URL
        $paged = get_query_var('paged') ? get_query_var('paged') : 1;

        $post_type = sanitize_text_field($atts['post_type']);
        $posts_per_page = intval($atts['posts_per_page']);
        $posts_categories = intval($atts['categories']);

        $args = array(
            'post_type' => $post_type,
            'posts_per_page' => $posts_per_page,
            'paged' => $paged, // Pass current page to the query
            'cat' => $posts_categories,
        );

        $custom_query = new WP_Query($args);
        $index = 0;
        ob_start();
    ?>
        <div class="articles-wrap">
          <div class="row">
        <?php if ($custom_query->have_posts()) : ?>
            <?php while ($custom_query->have_posts()) : $custom_query->the_post();

            $thumbnail_id = get_post_thumbnail_id( get_the_ID() );

            // Get the alt text for the thumbnail image
            $thumbnail_alt = get_post_meta( $thumbnail_id, '_wp_attachment_image_alt', true );
            
            // Fallback to post title if alt text is not set
            $alt_text = $thumbnail_alt ? $thumbnail_alt : '';

            //Custom field
            $pdfFileID=get_post_meta(get_the_ID(), 'plik_z_albumem', true);
            $pdfFileUrl = wp_get_attachment_url($pdfFileID);
            //var_dump(get_post_meta(get_the_ID(), 'plik_z_albumem', true));
            ?>
                <div class="col-lg-4 col-md-6">
                    <div class="article-card albumy-card">
                        <div class="article-featured-img">
                        <?php the_post_thumbnail('full', array('alt' => esc_attr($alt_text),'aria-hidden' => 'true')); ?>
                        </div>
                        <div class="article-content">
                            <div class="article-top">
                                <h5><?php the_title(); ?></h5>
                                <div class="excerpt-sec">
                                    <?php the_excerpt(); ?>
                                </div>
                            </div>
                            <div class="article-bottom">
                                <div class="meta-date"><?php echo get_the_date(); ?></div>
                                <div class="web-btn d-flex">
                                    <a href="<?php echo esc_url($pdfFileUrl); ?>" data-fancybox="pdf" data-type="iframe" class="link-btn">
                                        <span><?php esc_html_e('Czytaj artykuł', 'Kolejowe'); ?></span>
                                        <div class="icon">
                                            <img decoding="async" src="<?php echo get_template_directory_uri(); ?>/images/right-arrow-circle.svg" alt="icon" aria-hidden="true">
                                        </div>    
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            <?php $index++; endwhile; ?>
        <?php else : ?>
            <div class="parentnone">
                <?php esc_html_e('No posts found.', 'KZR'); ?>
            </div>
        <?php endif; ?>
        <?php wp_reset_postdata(); ?>
    </div>
			</div>
    
    <!-- Pagination -->
    <div class="pagination-wrap d-flex justify-content-center">
        <div class="pagination-inner" role="navigation">
            <?php
            echo paginate_links(array(
                'base' => get_pagenum_link(1) . '%_%',
                'format' => 'page/%#%/',
                'current' => max(1, $paged), // Ensure the correct current page
                'total' => $custom_query->max_num_pages, // Use custom query's total pages
                'mid_size' => 2,
                'prev_text' => '&#x1F860;',
                'next_text' => '&#x1F862;',
            ));
            ?>
        </div>
    </div>
    
    <?php
    $html_to_return = ob_get_clean();

    return $html_to_return;
}

add_shortcode('albumy-page-shortcode', 'albumy_page_shortcode');

function filmy_page_shortcode($atts){
    $atts = shortcode_atts(
        array(
            'post_type' => 'filmy',
            'posts_per_page' => 9,
            'categories' => '', // Default to no category filter
        ),
        $atts
    );

    

    $html_to_return = ''; // Initialize the variable

    // Get the current page from the URL
    $paged = get_query_var('paged') ? get_query_var('paged') : 1;

    $post_type = sanitize_text_field($atts['post_type']);
    $posts_per_page = intval($atts['posts_per_page']);
    $posts_categories = intval($atts['categories']);

    $args = array(
        'post_type' => $post_type,
        'posts_per_page' => $posts_per_page,
        'paged' => $paged, // Pass current page to the query
        'cat' => $posts_categories,
    );

    $custom_query = new WP_Query($args);

    ob_start();
    ?>	
		<div class="articles-wrap">
          <div class="row">
        <?php if ($custom_query->have_posts()) : ?>
            <?php while ($custom_query->have_posts()) : $custom_query->the_post();

            $thumbnail_id = get_post_thumbnail_id( get_the_ID() );

            // Get the alt text for the thumbnail image
            $thumbnail_alt = get_post_meta( $thumbnail_id, '_wp_attachment_image_alt', true );
            
            // Fallback to post title if alt text is not set
            $alt_text = $thumbnail_alt ? $thumbnail_alt : '';

            //Custom field
           
            $video_source =get_post_meta(get_the_ID(), 'video_source', true);
            

            
            ?>
                <div class="col-lg-4 col-md-6">
                    <div class="article-card filmy-card">
                        <div class="article-featured-img">
                        <?php the_post_thumbnail('full', array('alt' => esc_attr($alt_text),'aria-hidden' => 'true')); ?>
                        </div>
                        <div class="article-content">
                            <div class="article-top">
                                <h5><?php the_title(); ?></h5>
                            </div>
                            <div class="article-bottom">
                                <div class="meta-date"><?php echo get_the_date(); ?></div>
                                <div class="web-btn d-flex">
                                <?php 
                                    if ($video_source == 'Upload File') {
                                        $video_source_url = get_post_meta(get_the_ID(), 'video_file', true);
                                        $video_source_url = wp_get_attachment_url($video_source_url); ?>
                                        
                                        <a href="<?php echo esc_url($video_source_url); ?>" 
                                           data-fancybox="video" 
                                           data-type="iframe" 
                                           data-caption="<?php the_title(); ?>"
                                           class="link-btn">
                                            <span><?php esc_html_e('Obejrzyj film', 'Kolejowe'); ?></span>
                                            <div class="icon">
                                                <img decoding="async" src="<?php echo get_template_directory_uri(); ?>/images/right-arrow-circle.svg" alt="icon" aria-hidden="true">
                                            </div>    
                                        </a>

                                    <?php 
                                    } elseif ($video_source == 'External Url') {
                                        $video_source_url = get_post_meta(get_the_ID(), 'video_url', true); ?>
                                        
                                        <a href="<?php echo esc_url($video_source_url); ?>" 
                                           data-fancybox="video"
                                           data-type="iframe" 
                                           data-caption="<?php the_title(); ?>"
                                           class="link-btn">
                                            <span><?php esc_html_e('Obejrzyj film', 'Kolejowe'); ?></span>
                                            <div class="icon">
                                                <img decoding="async" src="<?php echo get_template_directory_uri(); ?>/images/right-arrow-circle.svg" alt="icon" aria-hidden="true">
                                            </div>    
                                        </a>

                                    <?php } ?>
                                    
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            <?php $index++; endwhile; ?>
        <?php else : ?>
            <div class="parentnone">
                <?php esc_html_e('No posts found.', 'KZR'); ?>
            </div>
        <?php endif; ?>
        <?php wp_reset_postdata(); ?>
    </div>
	</div>		
    <!-- Pagination -->
    <div class="pagination-wrap d-flex justify-content-center">
        <div class="pagination-inner" role="navigation">
            <?php
            echo paginate_links(array(
                'base' => get_pagenum_link(1) . '%_%',
                'format' => 'page/%#%/',
                'current' => max(1, $paged), // Ensure the correct current page
                'total' => $custom_query->max_num_pages, // Use custom query's total pages
                'mid_size' => 2,
                'prev_text' => '&#x1F860;',
                'next_text' => '&#x1F862;',
            ));
            ?>
        </div>
    </div>

    
    <?php
    $html_to_return = ob_get_clean();

    return $html_to_return;
}

add_shortcode('filmy-page-shortcode', 'filmy_page_shortcode'); 

/* pagination test
function filmy_page_shortcode($atts) {
    $atts = shortcode_atts(
        array(
            'post_type' => 'filmy',
            'posts_per_page' => 9,
            'categories' => '', // Default to no category filter
        ),
        $atts
    );

    $html_to_return = ''; // Initialize the variable

    // Get the current page from the URL
    $paged = get_query_var('paged') ? get_query_var('paged') : 1;

    $post_type = sanitize_text_field($atts['post_type']);
    $posts_per_page = intval($atts['posts_per_page']);
    $posts_categories = intval($atts['categories']);

    $args = array(
        'post_type' => $post_type,
        'posts_per_page' => $posts_per_page,
        'paged' => $paged, // Pass current page to the query
        'cat' => $posts_categories,
    );

    $custom_query = new WP_Query($args);

    ob_start();
    ?>
    <div class="row">
        <?php if ($custom_query->have_posts()) : ?>
            <?php while ($custom_query->have_posts()) : $custom_query->the_post(); ?>
                <div class="col-md-4 mb-4">
                    <div class="article-card filmy-card">
                        <div class="article-featured-img">
                            <?php the_post_thumbnail('full', array('alt' => get_the_title(), 'aria-hidden' => 'true')); ?>
                        </div>
                        <div class="article-content">
                            <div class="article-top">
                                <h5><?php the_title(); ?></h5>
                                <div class="excerpt-sec">
                                    <?php the_excerpt(); ?>
                                </div>
                            </div>
                            <div class="article-bottom">
                                <div class="meta-date"><?php echo get_the_date(); ?></div>
                                <div class="web-btn d-flex">
                                    <a href="<?php the_permalink(); ?>" class="link-btn">
                                        <span><?php esc_html_e('View More', 'textdomain'); ?></span>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            <?php endwhile; ?>
        <?php else : ?>
            <div class="parentnone">
                <?php esc_html_e('No posts found.', 'textdomain'); ?>
            </div>
        <?php endif; ?>
        <?php wp_reset_postdata(); ?>
    </div>
    <!-- Pagination -->
    <div class="pagination-wrap d-flex align-items-center">
        <div class="pagination-inner" role="navigation">
            <?php
            echo paginate_links(array(
                'base' => get_pagenum_link(1) . '%_%',
                'format' => 'page/%#%/',
                'current' => max(1, $paged), // Ensure the correct current page
                'total' => $custom_query->max_num_pages, // Use custom query's total pages
                'mid_size' => 2,
                'prev_text' => '&#8249;',
                'next_text' => '&#8250;',
            ));
            ?>
        </div>
    </div>
    <?php
    $html_to_return = ob_get_clean();

    return $html_to_return;
}

add_shortcode('filmy-page-shortcode', 'filmy_page_shortcode'); /*


/**
 * 
 * API endpoint for get_post_shortcode
 */
function publications_list_custom_post_type_handler($request) {
    $params = $request->get_params();
    $content = do_shortcode("[homepage-new-shortcode post_type='{$params['postType']}' posts_per_page='{$params['postperpage']}' categories='{$params['selectedCategory']}' ]");
    

    return rest_ensure_response(array('content' => $content));
}
   add_action('rest_api_init', function () {
    register_rest_route('blocks-preview-shortvode/v1', '/homepage-new-post-shortcode-type', array(
        'methods' => 'POST',
        'callback' => 'publications_list_custom_post_type_handler',
    ));
});


function svg_shortcode($atts) {
    $atts = shortcode_atts(array(
        'src' => ''
    ), $atts, 'svg');

    if (empty($atts['src'])) {
        return ''; // Return empty if no source is provided
    }

    $url = esc_url($atts['src']);
    $response = wp_remote_get($url);
    
    if (is_wp_error($response)) {
        return ''; // Return empty if there's an error
    }

    $body = wp_remote_retrieve_body($response);
    
    // Check if the body is not empty
    if (empty($body)) {
        return ''; // Return empty if there's no content
    }

    return $body; // Return the SVG content
}
add_shortcode('svg', 'svg_shortcode');