<?php
/**
 **  
 */  
get_header();
$featured_image = get_the_post_thumbnail(get_the_ID(), 'full',array('alt' => esc_attr($alt_text)));
?>
<section class="sub-page-header <?php if( $featured_image )  echo 'banner-header '; ?>">
    <div class="container">
        <div class="row">
            <div class="<?php if( $featured_image ) echo 'col-lg-6'; else echo 'col-12'; ?>">
                <?php custom_breadcrumbs(); ?>
                <div class="meta-date my-2"><?php echo get_the_date(); ?></div>
                <div class="content template-excerpt">
                    <div class="web-heading heading-divider secondary">
                        <h1><?php the_title(); ?></h1>
                    </div>
                    <?php if (has_excerpt()): the_excerpt(); endif;?>
                </div>
            </div>
            <?php if( $featured_image ) : ?>
            <div class="col-lg-6">
                <div class="block-img featured-img-block">
                    <?php echo $featured_image; ?>
                </div>
            </div>
            <?php endif; ?>
        </div>
    </div>
</section>
<main class="main-wrap">
    <div class="container">
        <div class="row">
            <div class="col-lg-9 article-page-content template-content">
                <?php the_content();?> 
            </div>
            <div class="col-lg-3 article-page-sidebar single-page-sidebar">
				<div class="sidebar">
					<div class="web-heading heading-divider">
						<h2><?php esc_html_e('Na skróty', 'Kolejowe'); ?></h2>
					</div>
					<div class="sidebar-menu">
						<?php
						$menu_location = 'artykuły-sidebar'; // Replace with your menu location slug
						$locations = get_nav_menu_locations(); // Get all menu locations

						if (isset($locations[$menu_location])) {
							$menu_id = $locations[$menu_location]; // Get the menu ID
							$menu_items = wp_get_nav_menu_items($menu_id); // Get the menu items

							if ($menu_items) {
								// Get current post type
								$current_post_type = is_singular() ? get_post_type() : null;

								foreach ($menu_items as $item) {
									$menu_id = $item->ID; // Menu item ID
									$menu_title = $item->title; // Menu item title
									$menu_url = $item->url; // Menu item URL
									$menu_slug = $item->slug;

									// Check if the menu item URL links to a custom post type archive
									$kon_args = array(
										'name'        => $menu_slug, 
										'post_type'   => 'page', // Specify 'page' for standard pages
										'post_status' => 'publish', // Only published pages
										'numberposts' => 1, // Limit to one result
									);
									$kon_page_query = get_posts($kon_args);

									//var_dump($kon_page_query[0]->post_type);

									// Check if the menu item should be marked active
									$is_active = $current_post_type && $current_post_type === $kon_page_query[0]->post_type;

									// Add active class if applicable
									$active_class = $is_active ? 'current-menu-item' : '';

									// Fetch custom icon URL if available
									$icon_url = get_post_meta($menu_id, '_cutstom_icon_url', true); // ACF Custom field for icon

									if (!function_exists('fetch_svg_content')) {
										function fetch_svg_content($url)
										{
											$response = wp_remote_get($url);
											if (is_wp_error($response)) {
												return ''; // Return empty if there's an error
											}
											return wp_remote_retrieve_body($response);
										}
									}
									?>

									<div class="web-btn two-icon-btn mb-3 d-flex">
										<a href="<?php echo esc_url($menu_url); ?>" class="link-btn <?php echo esc_attr($active_class); ?>">
											<div class="icon img-svg">
												<?php
												if ($icon_url) {
													$svg_content = '<img class="svg" src="' . esc_url($icon_url) . '" alt="SVG Image">';
													echo $svg_content; // Output the SVG content directly
												}
												?>
											</div>
											<div class="link-content d-flex align-items-center justify-content-between">
												<span><?php echo esc_html($menu_title); ?></span>
												<div class="icon icon-right">
													<svg width="20" height="18" viewBox="0 0 20 18" fill="none" xmlns="http://www.w3.org/2000/svg">
														<path d="M0 8.68066H18M18 8.68066L10.4062 0.680664M18 8.68066L10.4062 16.6807" stroke="#042B60" stroke-width="2" />
													</svg>
												</div>
											</div>
										</a>
									</div>
								<?php
								}
							} else {
								echo '<p>Menu not assigned to this location.</p>';
							}
						}
						?>
					</div>

           		</div>
            </div>
        </div>
    </div>
</main>
 


<?php
get_footer()
?>
<script>
	jQuery(document).ready(function(){
		jQuery('.single-page-sidebar .web-btn a.link-btn[href="'+jQuery('.breadcrumb-nav li:nth-child(3) a').attr('href')+'"]').parent().addClass('current-menu-item');
	});
</script>