<?php 
// Template Name: Full Width Template
get_header(); 

if (!is_front_page()) {
    if (have_posts()) {

        // Get the post thumbnail ID

        $thumbnail_id = get_post_thumbnail_id( get_the_ID() );

        // Get the alt text for the thumbnail image

        $thumbnail_alt = get_post_meta( $thumbnail_id, '_wp_attachment_image_alt', true );

        // Fallback to post title if alt text is not set

        $alt_text = $thumbnail_alt ? $thumbnail_alt : '';

        $featured_image = get_the_post_thumbnail(get_the_ID(), 'full',array('alt' => esc_attr($alt_text)));

        //while (have_posts()) {
            //the_post(); ?>
    <section class="sub-page-header <?php if( $featured_image )  echo 'banner-header '; ?>">
        <div class="container">
            <div class="row">
                <div class="<?php if( $featured_image ) echo 'col-lg-6'; else echo 'col-12'; ?>">
                    <?php custom_breadcrumbs(); ?>
                    <div class="content template-excerpt">
                        <div class="web-heading heading-divider secondary">
                            <h1><?php the_title(); ?></h1>
                        </div>
                        <?php if (has_excerpt()): the_excerpt(); endif;?>
                    </div>
                </div>
                <?php if( $featured_image ) : ?>
                <div class="col-lg-6">
                    <div class="block-img featured-img-block">
                        <?php echo $featured_image; ?>
                    </div>
                </div>
                <?php endif; ?>
            </div>
        </div>
    </section> 
            
	<main class="main-wrap">
        <div class="container">
            <?php
            the_content();?>
        </div>
	</main>
<?php			
        //}
    }
} else {
    if (have_posts()) {
        while (have_posts()) {
            the_post();
        ?>
            <main class="main-wrap">
                <!--<div class="container"> -->
                    <?php
                    the_content();?>
                <!-- </div> -->
            </main>
        <?php
        }
    }
}

get_footer();
?>
