<section class="events-section competition-section">
    <?php
        $category = get_field('kategoria');
        $args = array(
            'post_type'      => 'event',
            'posts_per_page' => -1,
            'tax_query'      => array(
                array(
                    'taxonomy' => 'event-category',
                    'field'    => 'name',
                    'terms'    => $category->name, // The future category
                ),
            ),
            'meta_key'       => 'event_date', // Replace with your custom field key
            'orderby'        => 'meta_value', // Sort by custom field value
            'meta_type'      => 'DATE', // Specify the type if the custom field contains a date
            'order'          => 'DESC', // ASC for ascending, DESC for descending
        );

        $custom_query = new WP_Query($args);
        $index = 0;
        ?>
		<div class="articles-wrap">
        <div class="row">
        <?php if ($custom_query->have_posts()) : ?>
            <?php while ($custom_query->have_posts()) : $custom_query->the_post();

            $thumbnail_id = get_post_thumbnail_id( get_the_ID() );

            // Get the alt text for the thumbnail image
            $thumbnail_alt = get_post_meta( $thumbnail_id, '_wp_attachment_image_alt', true );
            
            // Fallback to post title if alt text is not set
            $alt_text = $thumbnail_alt ? $thumbnail_alt : '';

            // Retrieve the custom field date
            $event_date = get_post_meta(get_the_ID(), 'event_date', true);
            $timestamp = strtotime($event_date); // Convert to timestamp
            $formatted_date = date_i18n(get_option('date_format'), $timestamp);
            ?>
                <div class="col-md-4">
                    <div class="article-card filmy-card">
                        <div class="article-featured-img">
                        <?php the_post_thumbnail('full', array('alt' => esc_attr($alt_text),'aria-hidden' => 'true')); ?>
                        </div>
                        <div class="article-content">
                            <div class="article-top">
                                <h5><?php the_title(); ?></h5>
                                <!-- <div class="excerpt-sec">
                                    <?php //the_excerpt(); ?>
                                </div> -->
                            </div>
                            <div class="article-bottom">
                                <div class="meta-date"><?php echo esc_html($formatted_date); ?></div>
                                <div class="web-btn d-flex">
                                    <a href="<?php the_permalink(); ?>" class="link-btn">
                                        <span><?php esc_html_e('Czytaj artykuł', 'Kolejowe'); ?></span>
                                        <div class="icon">
                                            <img decoding="async" src="<?php echo get_template_directory_uri(); ?>/images/right-arrow-circle.svg" alt="icon" aria-hidden="true">
                                        </div>    
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            <?php $index++; endwhile; ?>
        <?php else : ?>
            <div class="parentnone">
                <?php esc_html_e('No posts found.', 'KZR'); ?>
            </div>
        <?php endif; ?>
        <?php wp_reset_postdata(); ?>
		</div>
                </div>
</section> 