<section class="gallery-section">
    <div class="row">
        <?php
        // Fetch heading field
        $naglowek = get_field('naglowek');
        if ($naglowek) :
        ?>
            <div class="col-12">
                <div class="web-heading">
                    <h2><?php echo esc_html($naglowek); ?></h2>
                </div>
            </div>
        <?php 
        endif;

        // Fetch gallery settings
        $column = get_field('column'); // Number of columns
        $gallery_images = get_field('gallery_images'); // Gallery images field
        $col_class = $column ? 12 / $column : 12; // Default to full-width if columns aren't set

        // Check if gallery images exist
        if (!$gallery_images || !is_array($gallery_images)) {
            echo '<p>No images found in the gallery.</p>';
        } else {
            // Loop through the images
            foreach ($gallery_images as $image) :
        ?>
                <div class="col-md-<?php echo esc_attr($col_class); ?>">
                    <a class="gallery-item" href="<?php echo esc_url($image['url']); ?>" data-fancybox="gallery" data-caption="<?php echo esc_attr($image['caption']); ?>">
                        <img src="<?php echo esc_url($image['sizes']['large']); ?>" alt="<?php echo esc_attr($image['alt']); ?>">
                    </a>
                </div>
        <?php 
            endforeach;
        }
        ?>
    </div>
</section>

<script>

    document.addEventListener("DOMContentLoaded", function () {
        Fancybox.bind(".gallery-item[data-fancybox='gallery']", {
            Thumbs: false, // Disable thumbnails
            Toolbar: {
                display: ['close'] // Only show the close button
            },
            caption: function (fancybox, slide) {
                // Generate the caption with the current caption and image count
                var current_slide = fancybox.getSlide();
                const caption = current_slide.caption || ''; // Fetch the caption
                const currentIndex = fancybox.getSlide().index + 1;
                const totalItems = fancybox.items.length;


                // Use the caption provided in the data-caption attribute
                return `
                <div class="fancybox-caption-content row" style="color: var(--primary-color);">
                    <div class="col-10 fancybox-caption">${caption}</div>
                    <div class="col-2 fancybox-image-count text-end">zdjęcie ${currentIndex} z ${totalItems}</div>
                </div>
                `;
            },
            closeButton: true
        });
    });
</script>
