<?php 


// Fetch all terms from 'custom_category'
$custom_categories = get_terms(array(
    'taxonomy' => 'konkursy-kategoria', // Replace with your taxonomy name
    'hide_empty' => false,           // Show even if no posts are assigned
));


?>
<div class="article-page-content ">
	<div class="articles-wrap">
		<div class="row">
			<?php if (!empty($custom_categories) && !is_wp_error($custom_categories)) {
				foreach ($custom_categories as $category) { ?>
					<div class="col-xl-4 col-md-6">
						<div class="article-card  competition-card">
							<div class="article-featured-img">
								<?php $thumbnail = get_field('kategoria_obraz', 'konkursy-kategoria_' . $category->term_id);
								if($thumbnail){
									echo '<img src="' . esc_url($thumbnail) . '" alt="' . esc_attr($category->name) . '">'; 
								}?>
							</div>
							<div class="article-content">
								<div class="article-top">
									<h5 class="my-3"><?php echo esc_html($category->name); ?></h5>

								</div>
								<div class="article-bottom">

									<div class="web-btn d-flex">
										<a href="<?php echo esc_url(get_term_link($category)) ?>"  class="link-btn">
											<span><?php esc_html_e('Dowiedz się więcej', 'Kolejowe'); ?></span>
											<div class="icon">
												<img decoding="async" src="<?php echo get_template_directory_uri(); ?>/images/right-arrow-circle.svg" alt="icon" aria-hidden="true">
											</div>    
										</a>
									</div>
								</div>
							</div>
						</div>
					</div>
			<?php } }else {
							echo 'No categories found.';
						}?>
		</div>
	</div>	
</div>