<?php
$title = get_field('tytul_sekcji');
$buttonText = get_field('tekst_na_zewnetrznym_przycisku');
$buttonUrl = get_field('url_przycisku');
$posts_per_page = get_field('ilosc_postow_na_stronie');

$category = get_field('select_a_category');

//var_dump($category);

?>

<section class="home-articles-sec">
    <div class="container">
        <div class="home-articles-inner">
            <div class="web-heading  heading-divider" data-aos="fade-up">
                <h2><?php esc_html_e($title,'Kolejowe'); ?></h2>
            </div>
            <?php
            $args = array(
                'post_type' => 'post',
                'tax_query' => array(
                    array(
                        'taxonomy' => $category->taxonomy, // Your taxonomy
                        'field'    => 'slug',           // Match by term ID
                        'terms'    => $category->slug,
                    ),
                ),
                'posts_per_page' =>$posts_per_page,
                //'cat' =>  $posts_categories,
            );

            $custom_query = new WP_Query($args);
            $index = 0;
            ?>
            <div class="articles-carousel row">
                <?php if ($custom_query->have_posts()) : ?>
                    <?php while ($custom_query->have_posts()) : $custom_query->the_post();
        
                    $thumbnail_id = get_post_thumbnail_id( get_the_ID() );
        
                    // Get the alt text for the thumbnail image
                    $thumbnail_alt = get_post_meta( $thumbnail_id, '_wp_attachment_image_alt', true );
                    
                    // Fallback to post title if alt text is not set
                    $alt_text = $thumbnail_alt ? $thumbnail_alt : '';
                    ?>
                        <div class="item col-md-4">
                            <div class="article-card">
                                <!-- <a href="<?php the_permalink(); ?>" class="d-flex"> -->
                                    <div class="article-featured-img">
                                    <?php the_post_thumbnail('full', array('alt' => esc_attr($alt_text),'aria-hidden' => 'true')); ?>
                                    </div>
                                    <div class="article-content">
                                        <div class="article-top">
                                            <h5><?php the_title(); ?></h5>
                                            <div class="excerpt-sec">
                                                <?php the_excerpt(); ?>
                                            </div>
                                        </div>
                                        <div class="article-bottom">
                                            <div class="meta-date"><?php echo date('d.m.Y', strtotime(get_the_date())); ?></div>
                                            <object>
                                                <div class="web-btn d-flex">
                                                    <a href="<?php the_permalink(); ?>" class="link-btn">
                                                        <span><?php esc_html_e('Czytaj artykuł', 'Kolejowe'); ?></span>
                                                        <div class="icon">
                                                            <img decoding="async" src="<?php echo get_template_directory_uri(); ?>/images/right-arrow-circle.svg" alt="icon" aria-hidden="true">
                                                        </div>    
                                                    </a>
                                                </div>
                                            </object>
                                        </div>
                                    </div>
                                <!-- </a> -->
                            </div>
                        </div>
                    <?php $index++; endwhile; ?>
                <?php else : ?>
                    <div class="parentnone">
                        <?php esc_html_e('No posts found.', 'KZR'); ?>
                    </div>
                <?php endif; ?>
                <?php wp_reset_postdata(); ?>
            </div>
            <div class="view-more" data-aos="fade-left" data-aos-easing="ease-out-back">
                <div class="web-btn d-flex">
                    <a href="<?php echo $buttonUrl; ?>" class="link-btn">
                        <span><?php esc_html_e($buttonText,'Kolejowe'); ?></span>
                        <div class="icon"><img decoding="async" src="<?php echo get_template_directory_uri(); ?>/images/right.svg" alt="" class="name" aria-hidden="true"></div>
                    </a>
                </div>
            </div>
        </div>
    </div>
    <?php //if (is_admin()) : ?>
    <script>
        $(document).ready(function() {
            function initializeOwlCarousel() {
                // Destroy existing Owl Carousel if it's already initialized
                if ($('.articles-carousel').hasClass('owl-loaded')) {
                    $('.articles-carousel').trigger('destroy.owl.carousel');
                }
                $('.articles-carousel').removeClass('owl-carousel owl-theme').addClass('row');
                $('.articles-carousel').find('.item').addClass('col-md-4');
                // Initialize Owl Carousel for screens less than 768px
                if ($(window).width() < 768) {
                    $('.articles-carousel').addClass('owl-carousel owl-theme').removeClass('row');
                    $('.articles-carousel').find('.item').removeClass('col-md-4');
                    $('.articles-carousel').owlCarousel({
                        loop: false,
                        margin: 30,
                        nav: true,
                        dots: false,
                        navText: [
                            '<svg width="21" height="18" viewBox="0 0 21 18" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M20.0829 9.04888L2.08298 9.11681M2.08298 9.11681L9.70686 17.0881M2.08298 9.11681L9.64649 1.08821" stroke="#042B60" stroke-width="2"/></svg>',
                            '<svg width="20" height="18" viewBox="0 0 20 18" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M0.165771 9.08289H18.1658M18.1658 9.08289L10.572 1.08289M18.1658 9.08289L10.572 17.0829" stroke="#042B60" stroke-width="2"/></svg>'
                        ],
                        responsive: {
                            0: {
                                items: 1,
                                dots: false
                            }
                        }
                    });
                }
            }
            // Initial check on page load
            initializeOwlCarousel();
            // Reinitialize on window resize
            $(window).on('resize', function() {
                initializeOwlCarousel();
            });
        });
		</script>
	<?php //endif; ?>
</section>