	<main class="main-wrap">
		<div class="container">
			<?php
				if (is_active_sidebar('search-sidebar')) {
					?>
					<div class="info-card">
						<?php// dynamic_sidebar('search-sidebar'); ?>
					</div>
					<?php
				}
			?>

			<!-- Search Result Wrapper -->
			<div class="search-result-wrap">
				<!-- Search Form -->
				<div class="filter-wrap">
					<div class="web-form">
					<form role="search" method="get" class="search-form" action="<?php echo esc_url(home_url('/')); ?>">
						<div class="row align-items-center" >
							<div class="col-lg-6 input-search-wrap">
								<div class="form-group">
									<label for="search-field"><?php _e('Szukaj w artykułach', 'Kolwjowe'); ?></label>
									<input type="text" id="search-field" class="form-control" name="s" placeholder="Wpisz szukaną frazę" autocomplete="off" value="<?php echo get_search_query(); ?>" required>
								</div>
							</div>
							<div class="col-lg-3 input-location-wrap">
								<div class="form-group">
									<label for="search-location"><?php _e('Miejscowość', 'Kolwjowe'); ?></label>
									<input type="text" id="loc-field" class="form-control" name="location" placeholder="Wpisz miejscowość" autocomplete="off" value="<?php echo isset($_GET['location']) ? esc_attr($_GET['location']) : ''; ?>">
								</div>
							</div>
							
							<div class="col-lg-2 date-search-wrap">
								<div class="form-group">
									<label for="search-date"><?php _e('Data wydarzenia', 'Kolwjowe'); ?></label>
									<input type="date" class="form-control" name="search_date"  value="<?php echo isset($_GET['search_date']) ? esc_attr($_GET['search_date']) : ''; ?>">
								</div>
							</div>
							<div class="col-lg-1 btn-search-wrap">
								<div class="web-btn d-flex">
						          	<button type="submit" class="link-btn">
						               	<?php _e('Szukaj', 'Kolwjowe'); ?> 
							                <img decoding="async" src="<?php echo get_template_directory_uri(); ?>/images/right-arrow-circle.svg" alt="icon" aria-hidden="true">
						            </button>
						       </div>
							</div>
						</div>
					</form>

					</div>
				</div>

				<!-- Search Results Info -->
				<div class="search-result-info d-flex align-items-center justify-content-between">
				
 				
				<!-- Search Results -->
				
				<div class="article-page-content">

            		<div class="row">
            			<div class="col-lg-12">
	            			<?php 
	            			if (have_posts()) : 
	            				while (have_posts()) : 

	            					the_post();
	            					
		            					$thumbnail_id = get_post_thumbnail_id( get_the_ID() );
							            // Get the alt text for the thumbnail image
							            $thumbnail_alt = get_post_meta( $thumbnail_id, '_wp_attachment_image_alt', true );
							            
							            // Fallback to post title if alt text is not set
							            $alt_text = $thumbnail_alt ? $thumbnail_alt : '';
 										//Custom field
										$loc=get_post_meta(get_the_ID(), 'locations', true);
							            
							            $src_date = date('F j, Y', strtotime($_GET['search_date']));
							            
										
							           	?>

								           	<div class="article-card ebook-card d-flex mb-4 first">
											    <div class="article-featured-img">
											         <?php the_post_thumbnail('full', array('alt' => esc_attr($alt_text),'aria-hidden' => 'true')); ?>
											    </div>
											   
											    <div class="article-content">
											        <div class="article-top">
											            <h5><?php the_title(); ?></h5>
											            <div class="excerpt-sec mb-3">
											                <p><?php the_excerpt(); ?></p>
											            </div>
											        </div>
											        
											        <div class="article-bottom d-flex">
											            
											            <div class="meta-date"><?php echo $loc.' | '.get_the_date(); ?></div>
											            <div class="web-btn d-flex">
											                <a href="<?php the_permalink(); ?>" class="d-flex">
																<span><?php esc_html_e('Czytaj artykuł', 'Kolejowe'); ?></span>
																<div class="icon">
																	<img decoding="async" src="<?php echo get_template_directory_uri() ?>/images/right-arrow-circle.svg" alt="icon" aria-hidden="true">
																</div>  
															</a>
											                  
											            </div>
											        </div>
											    </div> 
											</div>

							           	<?php
							           
							          
			            	   		

			                   	endwhile; // loop end
			            	else : ?>
							<div class="no-result">
								<p><?php _e('Brak wyników dla poszukiwanej frazy. Prosimy zmienić słowa kluczowe i spróbować ponownie.', 'Kolwjowe'); ?></p>
							</div>
							<?php endif; ?>
							<!-- Pagination -->
							<div class="pagination-wrap">
								<div class="pagination-inner" role="navigation">
									<?php
									the_posts_pagination(array(
										'mid_size' => 2,
										'prev_text' => '&#8249;',
										'next_text' => '&#8250;',
										
									));
									?>
								</div>
							</div>
						</div>
						
            		</div>
            	</div>
				
			</div>
		</div>
	</main> 