<?php
$category = get_field('kategoria');
?>

        <?php
        if (is_active_sidebar('search-sidebar')) {
            ?>
            <div class="info-card">
                <?php dynamic_sidebar('search-sidebar'); ?>
            </div>
            <?php
        }
        ?>

        <!-- Search Result Wrapper -->
        <div class="search-result-wrap">
            <!-- Search Form -->
            <div class="filter-wrap">
                <div class="web-form">
                    <form role="search" method="get" class="search-form" action="<?php echo esc_url(home_url('/')); ?>">
						<div class="row align-items-center" >
							<div class="col-xl-6 col-lg-12 input-search-wrap">
								<div class="form-group">
									<label for="search-field"><?php _e('Szukaj w artykułach', 'Kolwjowe'); ?></label>
									<input type="text" id="search-field" class="form-control" name="s" placeholder="Wpisz szukaną frazę" autocomplete="off" value="<?php echo get_search_query(); ?>" required>
								</div>
							</div>
							<div class="col-xl-3 col-lg-5 input-location-wrap">
								<div class="form-group">
									<label for="search-location"><?php _e('Miejscowość', 'Kolwjowe'); ?></label>
									<input type="text" id="loc-field" class="form-control" name="location" placeholder="Wpisz miejscowość" autocomplete="off" value="<?php echo isset($_GET['location']) ? esc_attr($_GET['location']) : ''; ?>">
								</div>
							</div>
							
							<div class="col-xl-2 col-lg-5 date-search-wrap">
								<div class="form-group">
									<label for="search-date"><?php _e('Data wydarzenia', 'Kolwjowe'); ?></label>
									<input type="date" class="form-control" name="search_date"  value="<?php echo isset($_GET['search_date']) ? esc_attr($_GET['search_date']) : ''; ?>">
								</div>
							</div>
							<div class="col-xl-1 col-lg-2 btn-search-wrap">
								<div class="web-btn d-flex">
						          	<button type="submit" class="link-btn">
						               	<?php _e('Szukaj', 'Kolwjowe'); ?> 
							                <img decoding="async" src="<?php echo get_template_directory_uri(); ?>/images/right-arrow-circle.svg" alt="icon" aria-hidden="true">
						            </button>
						       </div>
							</div>
						</div>
					</form>
                </div>
            </div>

            <!-- Search Results -->
            <div class="article-page-content">
                <div class="articles-wrap">
                    <div class="row">
                        <?php 
                        $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
                        $args = array(
                            'post_type' => 'post',
                            'posts_per_page' => 9,
                            'paged' => $paged,
                            'category_name' => $category->slug
                        );

                        if (!empty($_GET['s'])) {
                            $args['s'] = sanitize_text_field($_GET['s']);
                        }
                        if (!empty($_GET['location'])) {
                            $args['meta_query'][] = array(
                                'key' => 'locations',
                                'value' => sanitize_text_field($_GET['location']),
                                'compare' => 'LIKE',
                            );
                        }
                        if (!empty($_GET['search_date'])) {
                            $args['date_query'] = array(
                                array(
                                    'after' => sanitize_text_field($_GET['search_date']),
                                    'inclusive' => true,
                                ),
                            );
                        }

                        $custom_query = new WP_Query($args);

                        if ($custom_query->have_posts()) :
                            while ($custom_query->have_posts()) : $custom_query->the_post();
                                $thumbnail_id = get_post_thumbnail_id(get_the_ID());
                                $thumbnail_alt = get_post_meta($thumbnail_id, '_wp_attachment_image_alt', true);
                                $alt_text = $thumbnail_alt ?: '';
                                $loc = get_post_meta(get_the_ID(), 'locations', true);
                                ?>
								<div class="col-lg-12">
									<div class="article-card ebook-card artykuly-card d-flex first">
										<div class="article-featured-img v2">
											<?php the_post_thumbnail('full', array('alt' => esc_attr($alt_text), 'aria-hidden' => 'true')); ?>
										</div>
										<div class="article-content">
											<div class="article-top">
												<h5><?php the_title(); ?></h5>
												<div class="excerpt-sec mb-3">
													<p><?php the_excerpt(); ?></p>
												</div>
											</div>
											<div class="article-bottom d-flex">
												<div class="meta-date"><?php echo esc_html($loc) . ' | ' . get_the_date(); ?></div>
												<div class="web-btn d-flex">
													<a href="<?php the_permalink(); ?>" class="d-flex">
														<span><?php esc_html_e('Czytaj artykuł', 'Kolwjowe'); ?></span>
														<div class="icon">
															<img decoding="async" src="<?php echo get_template_directory_uri(); ?>/images/right-arrow-circle.svg" alt="icon" aria-hidden="true">
														</div>
													</a>
												</div>
											</div>
										</div>
									</div>
								</div>
                                <?php
                            endwhile;
                            ?>
                            <div class="pagination-wrap d-flex align-items-center justify-content-center">
                                <div class="pagination-inner" role="navigation">
                                    <?php
                                    echo paginate_links(array(
                                        'total' => $custom_query->max_num_pages,
                                        'current' => $paged,
                                        'prev_text' => '&#x1F860;',
                                        'next_text' => '&#x1F862;',
                                    ));
                                    ?>
                                </div>
                            </div>
                            <?php
                        else :
                            ?>
                            <div class="no-result">
                                <p><?php _e('Brak wyników dla poszukiwanej frazy. Prosimy zmienić słowa kluczowe i spróbować ponownie.', 'Kolwjowe'); ?></p>
                            </div>
                        <?php
                        endif;
                        wp_reset_postdata();
                        ?>
                    </div>
                </div>
            </div>
        </div>
   
