<?php

$section_style = get_field('section_style');
$heading_title = get_field('heading_title');

$logos = get_field('logos');

if( $logos ) :

?>
<section class="shortcut-section">
    <div class="container">
        <div class="web-heading d-flex justify-content-between align-items-center">
			<h2><?php echo $heading_title; ?></h2>
		</div>
        <div class="carousel-section">
            <div class="owl-carousel owl-theme shortcut-carousel">
            	<?php foreach( $logos as $logo ) : 
            		$icon_url=$logo['logo_image'];
            		if (!function_exists('fetch_svg_content')) {
                        function fetch_svg_content($url) {
                            $response = wp_remote_get($url);
                            if (is_wp_error($response)) {
                                return ''; // Return empty if there's an error
                            }
                            return wp_remote_retrieve_body($response);
                        }
                    }
					$file_extension = pathinfo($icon_url, PATHINFO_EXTENSION);
            	?>
                <div class="item">
                    <div class="web-btn two-icon-btn d-flex <?php if($section_style=="Biały przycisk"):echo 'v2'; endif; ?>">
						<a href="<?php echo $logo['logo_url']; ?>" class="link-btn">
                            <div class="icon icon-svg">
								<?php  
									if ( $icon_url ) { 
										$svg_content = '<img class="svg" src="' . esc_url($icon_url) . '" alt="SVG Image">';
										 echo $svg_content; // Output the SVG content directly 
									} 
								?>
							</div>    
							<span><?php echo $logo['logo_title']; ?></span>
							<div class="icon icon-right">
	                            <svg width="20" height="18" viewBox="0 0 20 18" fill="none" xmlns="http://www.w3.org/2000/svg">
	                                <path d="M0 8.68066H18M18 8.68066L10.4062 0.680664M18 8.68066L10.4062 16.6807" stroke="#042B60" stroke-width="2"/>
	                            </svg>

	                            <!-- <img decoding="async" src="<?php echo get_template_directory_uri() ?>/images/arrow-right.svg" alt="icon" aria-hidden="true"> -->
	                        </div>    
						</a>
					</div>
                </div>
                <?php endforeach; ?>
            </div>
        </div>
    </div>
	<?php //if (is_admin()) : ?>
		<script>
			$(document).ready(function() {
				$('.owl-carousel.shortcut-carousel').owlCarousel({
					loop:false,
					margin:30,
					nav:true,
					dots:false,
					autoHeight:true,
					navText:[
                        '<svg width="21" height="18" viewBox="0 0 21 18" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M20.0829 9.04888L2.08298 9.11681M2.08298 9.11681L9.70686 17.0881M2.08298 9.11681L9.64649 1.08821" stroke="#042B60" stroke-width="2"/></svg>','<svg width="20" height="18" viewBox="0 0 20 18" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M0.165771 9.08289H18.1658M18.1658 9.08289L10.572 1.08289M18.1658 9.08289L10.572 17.0829" stroke="#042B60" stroke-width="2"/></svg>'],
					responsive:{
						0:{
							items:1,

						},
						768:{
							items:2,
						},
						992:{
							items:3
						},
						1200:{
							items:4
						}
					}
				});
			});
		</script>
	<?php //endif; ?>
</section>
<?php endif; ?>