<?php 

// Template Name: Strony Page Template



get_header();

// Get the post thumbnail ID

$thumbnail_id = get_post_thumbnail_id( get_the_ID() );

// Get the alt text for the thumbnail image

$thumbnail_alt = get_post_meta( $thumbnail_id, '_wp_attachment_image_alt', true );

// Fallback to post title if alt text is not set

$alt_text = $thumbnail_alt ? $thumbnail_alt : '';

$featured_image = get_the_post_thumbnail(get_the_ID(), 'full',array('alt' => esc_attr($alt_text)));

?>

<section class="sub-page-header <?php if( $featured_image )  echo 'banner-header '; ?>">
	<div class="container">
		<div class="row">
			<div class="<?php if( $featured_image ) echo 'col-lg-6'; else echo 'col-12'; ?>">
				<?php custom_breadcrumbs(); ?>
				<div class="content template-excerpt">
					<div class="web-heading heading-divider secondary">
						<h1><?php the_title(); ?></h1>
					</div>
					<?php if (has_excerpt()): the_excerpt(); endif;?>
				</div>
			</div>
			<?php if( $featured_image ) : ?>
			<div class="col-lg-6">
				<div class="block-img featured-img-block">
					<?php echo $featured_image; ?>
				</div>
			</div>
			<?php endif; ?>
		</div>
	</div>
</section>
	<main class="main-wrap">

        <div class="container">

            <div class="row">

            	<?php $subpages = get_pages(array('child_of' => get_the_ID(), 'sort_column' => 'menu_order'));



	                foreach ($subpages as $subpage) { 

	                	$subpage_id = $subpage->ID;

                        $subpage_title = $subpage->post_title;

	                	$subpage_link = get_permalink($subpage_id);

                        $icon_url = get_post_meta($subpage_id, '_custom_icon_url', true);

                        $show_icon = get_post_meta($subpage_id, '_custom_show_icon', true);



                        // Define fetch_svg_content function if not already defined

                        if (!function_exists('fetch_svg_content')) {

                            function fetch_svg_content($url) {

                                $response = wp_remote_get($url);

                                if (is_wp_error($response)) {

                                    return ''; // Return empty if there's an error

                                }

                                return wp_remote_retrieve_body($response);

                            }

                        }



                        // Fetch SVG content if needed

                        $svg_content = '';

                        if ($show_icon && !empty($icon_url)) {

                            $file_extension = pathinfo($icon_url, PATHINFO_EXTENSION);

                            if ($file_extension === 'svg') {

                                $svg_content = '<img class="svg" src="' . esc_url($icon_url) . '" alt="SVG Image">';

                            }

                        }

	                ?>

		                <div class="col-xl-4 col-md-6 mb-4">

		                    <div class="web-btn two-icon-btn v3 d-flex justify-content-center">

		                        <a href="<?php echo esc_url($subpage_link); ?>" class="link-btn d-flex justify-content-center flex-column">

		                             <?php if ($show_icon && !empty($icon_url)) { ?>

                                            <div class="icon child-svg">

                                                <?php echo $svg_content; // Output the SVG content directly ?>

                                            </div>

                                        <?php } ?>    

		                            <span><?php echo $subpage_title; ?></span>  

		                        </a>

		                    </div>

		                </div>

	            <?php } ?>

            </div>

        </div>

    </main>

<?php get_footer(); ?>